# compiling the preloader fails with hardening enabled
%undefine _hardened_build

%define _smp_mflags -j8

%global winegecko 2.47.4
%global winemono  9.4.0
#global _default_patch_fuzz 2
%global winepe32dir i386-windows
%global wineso32dir i386-unix
%global winepedir x86_64-windows
%global winesodir x86_64-unix
# build with wine-staging patches: https://gitlab.winehq.org/wine/wine-staging
%global wine_staging 0
%global use_git 0

# wine git
%global gitdate     20250314
%global commit      245d32302712ead24a6f5852e3a5708af755ea8a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# wine-staging git
%global stcommit    f247cd5d6b563ee6a3bc184482c0d1d2f9503e27
%global stshort     %(c=%{stcommit}; echo ${c:0:7})

Name:           wine
Version:        10.4
Release:        102%{?dist}
Summary:        A compatibility layer for windows applications

License:        LGPL-2.1-or-later
URL:            https://www.winehq.org/

%if !%{?use_git}
# https://dl.winehq.org/wine/source/10.x/
Source0:        https://dl.winehq.org/wine/source/10.0/wine-%{version}.tar.xz
Source10:       https://dl.winehq.org/wine/source/10.0/wine-%{version}.tar.xz.sign
%else
# https://gitlab.winehq.org/wine/wine
Source0:        wine-%{version}-git%{shortcommit}.tar.gz
%endif

Source1:        wine.systemd
Source2:        wine-README-Fedora

# desktop files
Source100:      wine-notepad.desktop
Source101:      wine-regedit.desktop
Source102:      wine-uninstaller.desktop
Source103:      wine-winecfg.desktop
Source104:      wine-winefile.desktop
Source105:      wine-winemine.desktop
Source106:      wine-winhelp.desktop
Source107:      wine-wineboot.desktop
Source108:      wine-wordpad.desktop
Source109:      wine-oleview.desktop

# AppData files
Source150:      wine.appdata.xml

# desktop dir
Source200:      wine.menu
Source201:      wine.directory

# mime types
Source300:      wine-mime-msi.desktop

# smooth tahoma (#693180)
# disable embedded bitmaps
Source501:      wine-tahoma.conf
# and provide a readme
Source502:      wine-README-tahoma

Patch511:       wine-cjk.patch
Patch1000:      7646.patch

%if 0%{?wine_staging}
# wine-staging patches
%if !%{?use_git}
# https://gitlab.winehq.org/wine/wine-staging/-/tags
Source900:      https://github.com/wine-staging/wine-staging/archive/v%{version}.tar.gz#/wine-staging-%{version}.tar.gz
%else
# https://gitlab.winehq.org/wine/wine-staging
Source900:      wine-staging-%{version}-git%{stshort}.tar.gz
%endif
%endif

ExclusiveArch:  %{ix86} x86_64


%if %{?use_git} || %{?wine_staging}
BuildRequires:  autoconf
BuildRequires:  git-core
%endif

BuildRequires:  vim-minimal

BuildRequires:  glibc-devel
BuildRequires:  glibc-devel(x86-32)

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  make

BuildRequires:  mingw32-FAudio
BuildRequires:  mingw32-freetype
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-lcms2
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libtiff
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw32-libxslt
BuildRequires:  mingw32-vkd3d >= 1.14
BuildRequires:  mingw32-vulkan-headers
BuildRequires:  mingw32-zlib
#
BuildRequires:  mingw64-FAudio
BuildRequires:  mingw64-freetype
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-lcms2
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-libtiff
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw64-libxslt
BuildRequires:  mingw64-vkd3d >= 1.14
BuildRequires:  mingw64-vulkan-headers
BuildRequires:  mingw64-zlib

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  alsa-lib-devel
BuildRequires:  audiofile-devel
BuildRequires:  bluez-libs-devel
BuildRequires:  dbus-devel
BuildRequires:  cups-devel
BuildRequires:  fontconfig-devel
BuildRequires:  fontforge
##BuildRequires:  fontpackages-devel
BuildRequires:  freeglut-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext-devel
BuildRequires:  giflib-devel
BuildRequires:  gnutls-devel
BuildRequires:  gsm-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  icoutils
BuildRequires:  krb5-devel
BuildRequires:  libavutil-free-devel
BuildRequires:  libavformat-free-devel
BuildRequires:  libavcodec-free-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  libieee1284-devel
BuildRequires:  libpcap-devel
BuildRequires:  librsvg2
BuildRequires:  librsvg2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libunwind-devel
BuildRequires:  libusb1-devel
BuildRequires:  libv4l-devel
BuildRequires:  libX11-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXxf86dga-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libxkbcommon-x11-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  mesa-libOSMesa-devel
BuildRequires:  mesa-libOpenCL-devel
BuildRequires:  mpg123-devel
BuildRequires:  ocl-icd-devel
BuildRequires:  opencl-headers
BuildRequires:  openldap-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  perl-generators
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  SDL2-devel
BuildRequires:  samba-devel
BuildRequires:  sane-backends-devel
BuildRequires:  systemd-devel
BuildRequires:  unixODBC-devel
BuildRequires:  vulkan-devel
BuildRequires:  vulkan-headers
BuildRequires:  vulkan-loader-devel
BuildRequires:  wayland-devel

BuildRequires:  alsa-lib-devel(x86-32)
BuildRequires:  audiofile-devel(x86-32)
BuildRequires:  bluez-libs-devel(x86-32)
BuildRequires:  dbus-devel(x86-32)
BuildRequires:  cups-devel(x86-32)
BuildRequires:  fontconfig-devel(x86-32)
BuildRequires:  fontforge(x86-32)
##BuildRequires:  fontpackages-devel(x86-32)
BuildRequires:  freeglut-devel(x86-32)
BuildRequires:  freetype-devel(x86-32)
BuildRequires:  gettext-devel(x86-32)
BuildRequires:  giflib-devel(x86-32)
BuildRequires:  gnutls-devel(x86-32)
BuildRequires:  gsm-devel(x86-32)
BuildRequires:  gstreamer1-devel(x86-32)
BuildRequires:  gstreamer1-plugins-base(x86-32)
BuildRequires:  gstreamer1-plugins-base-devel(x86-32)
#BuildRequires:  krb5-devel(x86-32)
BuildRequires:  libavutil-free-devel(x86-32)
BuildRequires:  libavformat-free-devel(x86-32)
BuildRequires:  libavcodec-free-devel(x86-32)
BuildRequires:  libgphoto2-devel(x86-32)
BuildRequires:  libieee1284-devel(x86-32)
BuildRequires:  libpcap-devel(x86-32)
BuildRequires:  librsvg2(x86-32)
BuildRequires:  librsvg2-devel(x86-32)
BuildRequires:  libstdc++-devel(x86-32)
BuildRequires:  libunwind-devel(x86-32)
BuildRequires:  libusb1-devel(x86-32)
BuildRequires:  libv4l-devel(x86-32)
BuildRequires:  libX11-devel(x86-32)
BuildRequires:  libXrandr-devel(x86-32)
BuildRequires:  libXrender-devel(x86-32)
BuildRequires:  libXcomposite-devel(x86-32)
BuildRequires:  libXcursor-devel(x86-32)
BuildRequires:  libXext-devel(x86-32)
BuildRequires:  libXfixes-devel(x86-32)
BuildRequires:  libXi-devel(x86-32)
BuildRequires:  libXinerama-devel(x86-32)
BuildRequires:  libXmu-devel(x86-32)
BuildRequires:  libXxf86dga-devel(x86-32)
BuildRequires:  libXxf86vm-devel(x86-32)
BuildRequires:  libxkbcommon-devel(x86-32)
BuildRequires:  libxkbcommon-x11-devel(x86-32)
BuildRequires:  mesa-libGL-devel(x86-32)
BuildRequires:  mesa-libGLU-devel(x86-32)
BuildRequires:  mesa-libOSMesa-devel(x86-32)
BuildRequires:  mesa-libOpenCL-devel(x86-32)
BuildRequires:  mpg123-devel(x86-32)
BuildRequires:  ocl-icd-devel(x86-32)
BuildRequires:  openldap-devel(x86-32)
BuildRequires:  pcsc-lite-devel(x86-32)
BuildRequires:  pkgconfig(x86-32)
BuildRequires:  libusb1-devel(x86-32)
BuildRequires:  pulseaudio-libs-devel(x86-32)
BuildRequires:  SDL2-devel(x86-32)
BuildRequires:  samba-devel(x86-32)
BuildRequires:  sane-backends-devel(x86-32)
BuildRequires:  systemd-devel(x86-32)
#BuildRequires:  unixODBC-devel(x86-32)
BuildRequires:  vulkan-devel(x86-32)
BuildRequires:  vulkan-loader-devel(x86-32)
BuildRequires:  wayland-devel(x86-32)

# Silverlight DRM-stuff needs XATTR enabled.
%if 0%{?wine_staging}
BuildRequires:  gtk3-devel
BuildRequires:  libattr-devel
BuildRequires:  libva-devel
%endif


Requires:       mesa-dri-drivers
Requires:       mingw64-wine-gecko = %{winegecko}
Requires:       wine-cms = %{version}-%{release}
Requires:       wine-common = %{version}-%{release}
Requires:       wine-core = %{version}-%{release}
Requires:       wine-desktop = %{version}-%{release}
Requires:       wine-fonts = %{version}-%{release}
Requires:       wine-ldap = %{version}-%{release}
Requires:       wine-mono = %{winemono}
Requires:       wine-opencl = %{version}-%{release}
Requires:       wine-pulseaudio = %{version}-%{release}
Requires:       wine-smartcard = %{version}-%{release}
Requires:       wine-twain = %{version}-%{release}
#
#Requires:       wine-dxvk
#
Recommends:     gstreamer1-plugins-good

%description
Wine as a compatibility layer for UNIX to run Windows applications. This
package includes a program loader, which allows unmodified Windows
3.x/9x/NT binaries to run on x86 and x86_64 Unixes. Wine can use native system
.dll files if they are available.

In Fedora wine is a meta-package which will install everything needed for wine
to work smoothly. Smaller setups can be achieved by installing some of the
wine-* sub packages.

%package core
Summary:        Wine core package
Requires(postun): /sbin/ldconfig

# require -filesystem
Requires:       wine-filesystem = %{version}-%{release}

# CUPS support uses dlopen - rhbz#1367537
Requires:       cups-libs
Requires:       freetype
Requires:       gnutls
#Requires:       (nss-mdns(x86-64) if nss-mdns(x86-32))
Requires:       nss-mdns
Requires:       libXcomposite
Requires:       libXcursor
Requires:       libXinerama
Requires:       libXrandr
Requires:       libXrender
#dlopen in windowscodesc (fixes rhbz#1085075)
Requires:       libpng
Requires:       libpcap
Requires:       libv4l
%if 0%{?wine_staging}
Requires:       libva
%endif
Requires:       mesa-libOSMesa
Requires:       SDL2
Requires:       unixODBC
Requires:       vulkan-loader
#
Requires:       mingw64-FAudio
Requires:       mingw64-lcms2
Requires:       mingw64-libjpeg-turbo
Requires:       mingw64-libpng
Requires:       mingw64-libtiff
Requires:       mingw64-libxml2
Requires:       mingw64-libxslt
Requires:       mingw64-vkd3d >= 1.14
Requires:       mingw64-win-iconv
Requires:       mingw64-zlib
#
Requires:       mingw32-FAudio
Requires:       mingw32-lcms2
Requires:       mingw32-libjpeg-turbo
Requires:       mingw32-libpng
Requires:       mingw32-libtiff
Requires:       mingw32-libxml2
Requires:       mingw32-libxslt
Requires:       mingw32-vkd3d >= 1.14
Requires:       mingw32-win-iconv
Requires:       mingw32-zlib
#
Provides:       bundled(libjpeg) = 9f
Provides:       bundled(mpg123-libs) = 1.32.9
Provides:       wine-openal = %{version}-%{release}

%description core
Wine core package includes the basic wine stuff needed by all other packages.

%package systemd
Summary:        Systemd config for the wine binfmt handler
Requires:       systemd >= 23
BuildArch:      noarch
Requires(post):  systemd
Requires(postun): systemd
Obsoletes:      wine-sysvinit < %{version}-%{release}

%description systemd
Register the wine binary handler for windows executables via systemd binfmt
handling. See man binfmt.d for further information.

%package filesystem
Summary:        Filesystem directories for wine
BuildArch:      noarch

%description filesystem
Filesystem directories and basic configuration for wine.

%package common
Summary:        Common files
Requires:       wine-core = %{version}-%{release}
BuildArch:      noarch

%description common
Common wine files and scripts.

%package desktop
Summary:        Desktop integration features for wine
Requires(post): desktop-file-utils >= 0.8
Requires(postun): desktop-file-utils >= 0.8
Requires:       wine-core = %{version}-%{release}
Requires:       wine-common = %{version}-%{release}
Requires:       wine-systemd = %{version}-%{release}
Requires:       hicolor-icon-theme
BuildArch:      noarch

%description desktop
Desktop integration features for wine, including mime-types and a binary format
handler service.

%package fonts
Summary:       Wine font files
BuildArch:     noarch
# arial-fonts are available with wine-staging patchset, only.
%if 0%{?wine_staging}
Requires:      wine-arial-fonts = %{version}-%{release}
%else
# 0%%{?wine_staging}
Obsoletes:     wine-arial-fonts <= %{version}-%{release}
%endif
# 0%%{?wine_staging}
Requires:      wine-courier-fonts = %{version}-%{release}
Requires:      wine-fixedsys-fonts = %{version}-%{release}
Requires:      wine-small-fonts = %{version}-%{release}
Requires:      wine-system-fonts = %{version}-%{release}
Requires:      wine-marlett-fonts = %{version}-%{release}
Requires:      wine-ms-sans-serif-fonts = %{version}-%{release}
Requires:      wine-tahoma-fonts = %{version}-%{release}
# times-new-roman-fonts are available with wine_staging-patchset, only.
%if 0%{?wine_staging}
Requires:      wine-times-new-roman-fonts = %{version}-%{release}
%else
# 0%%{?wine_staging}
Obsoletes:     wine-times-new-roman-fonts <= %{version}-%{release}
Obsoletes:     wine-times-new-roman-fonts-system <= %{version}-%{release}
%endif
# 0%%{?wine_staging}
Requires:      wine-symbol-fonts = %{version}-%{release}
Requires:      wine-webdings-fonts = %{version}-%{release}
Requires:      wine-wingdings-fonts = %{version}-%{release}
# intermediate fix for #593140
Requires:      liberation-sans-fonts liberation-serif-fonts liberation-mono-fonts
Requires:      liberation-narrow-fonts

%description fonts
%{summary}

%if 0%{?wine_staging}
%package arial-fonts
Summary:       Wine Arial font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description arial-fonts
%{summary}
%endif
# 0%%{?wine_staging}

%package courier-fonts
Summary:       Wine Courier font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description courier-fonts
%{summary}

%package fixedsys-fonts
Summary:       Wine Fixedsys font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description fixedsys-fonts
%{summary}

%package small-fonts
Summary:       Wine Small font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description small-fonts
%{summary}

%package system-fonts
Summary:       Wine System font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description system-fonts
%{summary}


%package marlett-fonts
Summary:       Wine Marlett font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description marlett-fonts
%{summary}


%package ms-sans-serif-fonts
Summary:       Wine MS Sans Serif font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description ms-sans-serif-fonts
%{summary}

# rhbz#693180
# http://lists.fedoraproject.org/pipermail/devel/2012-June/168153.html
%package tahoma-fonts
Summary:       Wine Tahoma font family
BuildArch:     noarch
Requires:      wine-filesystem = %{version}-%{release}

%description tahoma-fonts
%{summary}
Please note: If you want system integration for wine tahoma fonts install the
wine-tahoma-fonts-system package.

%package tahoma-fonts-system
Summary:       Wine Tahoma font family system integration
BuildArch:     noarch
Requires:      fontpackages-filesystem
Requires:      wine-tahoma-fonts = %{version}-%{release}

%description tahoma-fonts-system
%{summary}

%if 0%{?wine_staging}
%package times-new-roman-fonts
Summary:       Wine Times New Roman font family
BuildArch:     noarch
Requires:      wine-filesystem = %{version}-%{release}

%description times-new-roman-fonts
%{summary}
Please note: If you want system integration for wine times new roman fonts install the
wine-times-new-roman-fonts-system package.

%package times-new-roman-fonts-system
Summary:       Wine Times New Roman font family system integration
BuildArch:     noarch
Requires:      fontpackages-filesystem
Requires:      wine-times-new-roman-fonts = %{version}-%{release}

%description times-new-roman-fonts-system
%{summary}
%endif

%package symbol-fonts
Summary:       Wine Symbol font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description symbol-fonts
%{summary}

%package webdings-fonts
Summary:       Wine Webdings font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description webdings-fonts
%{summary}

%package wingdings-fonts
Summary:       Wine Wingdings font family
BuildArch:     noarch
Requires:      fontpackages-filesystem

%description wingdings-fonts
%{summary}
Please note: If you want system integration for wine wingdings fonts install the
wine-wingdings-fonts-system package.

%package wingdings-fonts-system
Summary:       Wine Wingdings font family system integration
BuildArch:     noarch
Requires:      fontpackages-filesystem
Requires:      wine-wingdings-fonts = %{version}-%{release}

%description wingdings-fonts-system
%{summary}


%package ldap
Summary: LDAP support for wine
Requires: wine-core = %{version}-%{release}

%description ldap
LDAP support for wine

%package cms
Summary: Color Management for wine
Requires: wine-core = %{version}-%{release}

%description cms
Color Management for wine

%package smartcard
Summary: Smart card support for wine
Requires: wine-core = %{version}-%{release}

%description smartcard
Smart card support for wine

%package twain
Summary: Twain support for wine
Requires: wine-core = %{version}-%{release}
Requires: sane-backends-libs

%description twain
Twain support for wine

%package devel
Summary: Wine development environment
Requires: wine-core = %{version}-%{release}

%description devel
Header, include files and library definition files for developing applications
with the Wine Windows(TM) emulation libraries.

%package pulseaudio
Summary: Pulseaudio support for wine
Requires: wine-core = %{version}-%{release}
# midi output
Requires: wine-alsa%{?_isa} = %{version}-%{release}

%description pulseaudio
This package adds a pulseaudio driver for wine.

%package alsa
Summary: Alsa support for wine
Requires: wine-core = %{version}-%{release}

%description alsa
This package adds an alsa driver for wine.

%package opencl
Summary: OpenCL support for wine
Requires: wine-core = %{version}-%{release}

%Description opencl
This package adds the opencl driver for wine.

%prep
%if !%{?use_git}
%setup -qn wine-%{version}
%else
%setup -qn wine
echo "Wine version %{version}" > VERSION
%if !%{?wine_staging}
autoreconf -vfi
%endif
%endif

%patch -P 511 -p1 -b.cjk
%patch -P 1000 -p1


%if 0%{?wine_staging}
# setup and apply wine-staging patches
gzip -dc %{SOURCE900} | tar -xf - --strip-components=1
#staging/patchinstall.py DESTDIR="`pwd`" --all -W server-Stored_ACLs
staging/patchinstall.py DESTDIR="`pwd`" --all
echo "Wine Staging %{version}" > staging/VERSION
%endif


%build
# This package uses top level ASM constructs which are incompatible with LTO.
# Top level ASMs are often used to implement symbol versioning.  gcc-10
# introduces a new mechanism for symbol versioning which works with LTO.
# Converting packages to use that mechanism instead of toplevel ASMs is
# recommended.
# Disable LTO
%define _lto_cflags %{nil}

# disable fortify as it breaks wine
# http://bugs.winehq.org/show_bug.cgi?id=24606
# http://bugs.winehq.org/show_bug.cgi?id=25073
%undefine _fortify_level
# Disable Red Hat specs for package notes (Fedora 38+) and annobin.
# MinGW GCC does not support these options.
export LDFLAGS="$(echo "%{build_ldflags}" | sed -e 's/-Wl,-z,relro//' -e 's/-Wl,--build-id=sha1//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-package-notes//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//')"
#%%ifarch x86_64
export CFLAGS="$(echo "%{optflags}" | sed -e 's/-O2//' -e 's/-fcf-protection//' -e 's/-fstack-protector-strong//' -e 's/-fstack-clash-protection//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//') -O2"

# Wine enabled -Wl,-WX that turns linker warnings into errors
# Fedora passes '--as-needed' for all binaries and this is a warning from
# the linker, now an error, so disable flag for now
sed -i 's/-Wl,-WX//g' configure

# Fedora's default compiler flags now conflict with what clang supports
# https://bugzilla.redhat.com/show_bug.cgi?id=1658311
export CFLAGS="`echo $CFLAGS | sed -e 's/-fstack-clash-protection//'`"

mkdir -v wine-64-build
mkdir -v wine-32-build

# required so that both Linux and Windows development files can be found
unset PKG_CONFIG_PATH

pushd wine-64-build
../configure \
  --prefix=/usr \
  --libdir=/usr/lib \
  --sysconfdir=%{_sysconfdir}/wine \
  --with-x \
  --with-wayland \
  --with-gstreamer \
  --enable-win64 \
  --disable-tests

#  %%{?wine_staging: --with-xattr} \
#  --with-system-dllpath=%%{mingw64_bindir} \

make %{_smp_mflags}
popd

pushd wine-32-build
FREETYPE_CFLAGS="`PKG_CONFIG_PATH=/usr/lib/pkgconfig pkg-config --cflags freetype2`" \
FREETYPE_LIBS="`PKG_CONFIG_PATH=/usr/lib/pkgconfig pkg-config --libs freetype2`" \
GSTREAMER_CFLAGS="`PKG_CONFIG_PATH=/usr/lib/pkgconfig pkg-config --cflags gstreamer-1.0 gstreamer-video-1.0 gstreamer-audio-1.0 gstreamer-tag-1.0`" \
GSTREAMER_LIBS="`PKG_CONFIG_PATH=/usr/lib/pkgconfig pkg-config --libs gstreamer-1.0 gstreamer-video-1.0 gstreamer-audio-1.0 gstreamer-tag-1.0`" \
GPHOTO2_CFLAGS="`PKG_CONFIG_PATH=/usr/lib/pkgconfig pkg-config --cflags libgphoto2`" \
GPHOTO2_LIBS="`PKG_CONFIG_PATH=/usr/lib/pkgconfig pkg-config --libs libgphoto2`" \
PKG_CONFIG_PATH=/usr/lib/ \
../configure \
  --prefix=/usr \
  --libdir=/usr/lib \
  --sysconfdir=%{_sysconfdir}/wine \
  --with-x \
  --with-wayland \
  --with-gstreamer \
  --with-wine64=../wine-64-build \
  --disable-tests

# %%{?wine_staging: --with-xattr} \
# --with-system-dllpath=%%{mingw32_bindir} \

# remove -m64 from the 32bit Makefile
sed -i -e's|-m64||g' Makefile
sed -i -e's|-march=x86_64||g' Makefile

make %{_smp_mflags}
popd



%install
# DUALBUILD - always install wine-32-build first
pushd wine-32-build
make install DESTDIR=%{buildroot} \
  LDCONFIG=/bin/true \
  UPDATE_DESKTOP_DATABASE=/bin/true
popd

pushd wine-64-build
make install DESTDIR=%{buildroot} \
  LDCONFIG=/bin/true \
  UPDATE_DESKTOP_DATABASE=/bin/true
popd

mkdir -p %{buildroot}%{_sysconfdir}/wine

# Allow users to launch Windows programs by just clicking on the .exe file...
mkdir -p %{buildroot}%{_binfmtdir}
install -p -c -m 644 %{SOURCE1} %{buildroot}%{_binfmtdir}/wine.conf

# add wine dir to desktop
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
install -p -m 644 %{SOURCE200} \
%{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/wine.menu
mkdir -p %{buildroot}%{_datadir}/desktop-directories
install -p -m 644 %{SOURCE201} \
%{buildroot}%{_datadir}/desktop-directories/Wine.directory

# add gecko dir
mkdir -p %{buildroot}%{_datadir}/wine/gecko

# add mono dir
mkdir -p %{buildroot}%{_datadir}/wine/mono

# extract and install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

# This replacement masks a composite program icon .SVG down
# so that only its full-size scalable icon is visible
PROGRAM_ICONFIX='s/height="272"/height="256"/;'\
's/width="632"/width="256"\n'\
'   x="368"\n'\
'   y="8"\n'\
'   viewBox="368, 8, 256, 256"/;'
MAIN_ICONFIX='s/height="272"/height="256"/;'\
's/width="632"/width="256"\n'\
'   x="8"\n'\
'   y="8"\n'\
'   viewBox="8, 8, 256, 256"/;'

# This icon file is still in the legacy format
install -p -m 644 dlls/user32/resources/oic_winlogo.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/wine.svg
sed -i -e "$MAIN_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/wine.svg

# The rest come from programs/, and contain larger scalable icons
# with a new layout that requires the PROGRAM_ICONFIX sed adjustment
install -p -m 644 programs/notepad/notepad.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/notepad.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/notepad.svg

install -p -m 644 programs/regedit/regedit.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/regedit.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/regedit.svg

install -p -m 644 programs/msiexec/msiexec.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/msiexec.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/msiexec.svg

install -p -m 644 programs/winecfg/winecfg.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winecfg.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winecfg.svg

install -p -m 644 programs/winefile/winefile.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winefile.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winefile.svg

install -p -m 644 programs/winemine/winemine.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winemine.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winemine.svg

install -p -m 644 programs/winhlp32/winhelp.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winhelp.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/winhelp.svg

install -p -m 644 programs/wordpad/wordpad.svg \
 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/wordpad.svg
sed -i -e "$PROGRAM_ICONFIX" %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/wordpad.svg

# install desktop files
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE100}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE101}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE102}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE103}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE104}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE105}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE106}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE107}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE108}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE109}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  --delete-original \
  %{buildroot}%{_datadir}/applications/wine.desktop

#mime-types
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE300}

cp -p %{SOURCE2} README-FEDORA

cp -p %{SOURCE502} README-tahoma

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/


# install Tahoma font for system package
install -p -m 0755 -d %{buildroot}/%{_datadir}/fonts/wine-tahoma-fonts
pushd %{buildroot}/%{_datadir}/fonts/wine-tahoma-fonts
ln -s ../../wine/fonts/tahoma.ttf tahoma.ttf
ln -s ../../wine/fonts/tahomabd.ttf tahomabd.ttf
popd

# add config and readme for tahoma
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}
install -p -m 0644 %{SOURCE501} %{buildroot}%{_fontconfig_templatedir}/20-wine-tahoma-nobitmaps.conf

ln -s %{_fontconfig_templatedir}/20-wine-tahoma-nobitmaps.conf \
      %{buildroot}%{_fontconfig_confdir}/20-wine-tahoma-nobitmaps.conf

%if 0%{?wine_staging}
# install Times New Roman font for system package
install -p -m 0755 -d %{buildroot}/%{_datadir}/fonts/wine-times-new-roman-fonts
pushd %{buildroot}/%{_datadir}/fonts/wine-times-new-roman-fonts
ln -s ../../wine/fonts/times.ttf times.ttf
popd
%endif

# install Wingdings font for system package
install -p -m 0755 -d %{buildroot}/%{_datadir}/fonts/wine-wingdings-fonts
pushd %{buildroot}/%{_datadir}/fonts/wine-wingdings-fonts
ln -s ../../wine/fonts/wingding.ttf wingding.ttf
popd

	
# clean readme files
pushd documentation
for lang in de es fi fr hu it ja ko nl no pt_br pt ru sv tr uk zh_cn;
do iconv -f iso8859-1 -t utf-8 README-$lang.md > \
 README-$lang.md.conv && mv -f README-$lang.md.conv README-$lang.md
done;
popd


rm -f %{buildroot}%{_initrddir}/wine

# install and validate AppData file
mkdir -p %{buildroot}/%{_metainfodir}/
install -p -m 0644 %{SOURCE150} %{buildroot}/%{_metainfodir}/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/%{name}.appdata.xml

%post systemd
%binfmt_apply wine.conf

%postun systemd
if [ $1 -eq 0 ]; then
/bin/systemctl try-restart systemd-binfmt.service
fi

%post core
/usr/sbin/ldconfig

%postun core
/usr/sbin/ldconfig

%ldconfig_scriptlets ldap

%ldconfig_scriptlets cms

%ldconfig_scriptlets twain

%ldconfig_scriptlets alsa

%files
# meta package

%files core
%doc ANNOUNCE.md
%doc COPYING.LIB
%doc LICENSE
%doc LICENSE.OLD
%doc AUTHORS
%doc README-FEDORA
%doc README.md
%doc VERSION
%doc documentation/README*.md
%{_bindir}/msidb
%{_bindir}/winedump
/usr/lib/wine/%{winepedir}/explorer.exe
/usr/lib/wine/%{winepedir}/cabarc.exe
/usr/lib/wine/%{winepedir}/control.exe
/usr/lib/wine/%{winepedir}/cmd.exe
/usr/lib/wine/%{winepedir}/dxdiag.exe
/usr/lib/wine/%{winepedir}/notepad.exe
/usr/lib/wine/%{winepedir}/plugplay.exe
/usr/lib/wine/%{winepedir}/progman.exe
/usr/lib/wine/%{winepedir}/taskmgr.exe
/usr/lib/wine/%{winepedir}/winedbg.exe
/usr/lib/wine/%{winepedir}/winefile.exe
/usr/lib/wine/%{winepedir}/winemine.exe
/usr/lib/wine/%{winepedir}/winemsibuilder.exe
/usr/lib/wine/%{winepedir}/winepath.exe
/usr/lib/wine/%{winepedir}/winmgmt.exe
/usr/lib/wine/%{winepedir}/winver.exe
/usr/lib/wine/%{winepedir}/wordpad.exe
/usr/lib/wine/%{winepedir}/write.exe
/usr/lib/wine/%{winepedir}/wusa.exe

# core 32bit exe
/usr/lib/wine/%{winepe32dir}/explorer.exe
/usr/lib/wine/%{winepe32dir}/cabarc.exe
/usr/lib/wine/%{winepe32dir}/control.exe
/usr/lib/wine/%{winepe32dir}/cmd.exe
/usr/lib/wine/%{winepe32dir}/dxdiag.exe
/usr/lib/wine/%{winepe32dir}/notepad.exe
/usr/lib/wine/%{winepe32dir}/plugplay.exe
/usr/lib/wine/%{winepe32dir}/progman.exe
/usr/lib/wine/%{winepe32dir}/taskmgr.exe
/usr/lib/wine/%{winepe32dir}/winedbg.exe
/usr/lib/wine/%{winepe32dir}/winefile.exe
/usr/lib/wine/%{winepe32dir}/winemine.exe
/usr/lib/wine/%{winepe32dir}/winemsibuilder.exe
/usr/lib/wine/%{winepe32dir}/winepath.exe
/usr/lib/wine/%{winepe32dir}/winmgmt.exe
/usr/lib/wine/%{winepe32dir}/winver.exe
/usr/lib/wine/%{winepe32dir}/wordpad.exe
/usr/lib/wine/%{winepe32dir}/write.exe
/usr/lib/wine/%{winepe32dir}/wusa.exe
# end core 32bit exe

%{_bindir}/wine
%{_bindir}/wineserver

%dir /usr/lib/wine

# core 64bit exe other
/usr/lib/wine/%{winepedir}/arp.exe
/usr/lib/wine/%{winepedir}/aspnet_regiis.exe
/usr/lib/wine/%{winepedir}/attrib.exe
/usr/lib/wine/%{winepedir}/cacls.exe
/usr/lib/wine/%{winepedir}/certutil.exe
/usr/lib/wine/%{winepedir}/clock.exe
/usr/lib/wine/%{winepedir}/conhost.exe
/usr/lib/wine/%{winepedir}/cscript.exe
/usr/lib/wine/%{winepedir}/dism.exe
/usr/lib/wine/%{winepedir}/dllhost.exe
/usr/lib/wine/%{winepedir}/dplaysvr.exe
/usr/lib/wine/%{winepedir}/dpnsvr.exe
/usr/lib/wine/%{winepedir}/dpvsetup.exe
/usr/lib/wine/%{winepedir}/eject.exe
/usr/lib/wine/%{winepedir}/expand.exe
/usr/lib/wine/%{winepedir}/extrac32.exe
/usr/lib/wine/%{winepedir}/fc.exe
/usr/lib/wine/%{winepedir}/find.exe
/usr/lib/wine/%{winepedir}/findstr.exe
/usr/lib/wine/%{winepedir}/fsutil.exe
/usr/lib/wine/%{winepedir}/hh.exe
/usr/lib/wine/%{winepedir}/hostname.exe
/usr/lib/wine/%{winepedir}/icacls.exe
/usr/lib/wine/%{winepedir}/icinfo.exe
/usr/lib/wine/%{winepedir}/iexplore.exe
/usr/lib/wine/%{winepedir}/ipconfig.exe
/usr/lib/wine/%{winepedir}/klist.exe
/usr/lib/wine/%{winepedir}/lodctr.exe
/usr/lib/wine/%{winepedir}/makecab.exe
/usr/lib/wine/%{winepedir}/mofcomp.exe
/usr/lib/wine/%{winepedir}/mshta.exe
/usr/lib/wine/%{winepedir}/msidb.exe
/usr/lib/wine/%{winepedir}/msiexec.exe
/usr/lib/wine/%{winepedir}/msinfo32.exe
/usr/lib/wine/%{winepedir}/net.exe
/usr/lib/wine/%{winepedir}/netsh.exe
/usr/lib/wine/%{winepedir}/netstat.exe
/usr/lib/wine/%{winepedir}/ngen.exe
/usr/lib/wine/%{winepedir}/ntoskrnl.exe
/usr/lib/wine/%{winepedir}/oleview.exe
/usr/lib/wine/%{winepedir}/ping.exe
/usr/lib/wine/%{winepedir}/pnputil.exe
/usr/lib/wine/%{winepedir}/powershell.exe
/usr/lib/wine/%{winepedir}/presentationfontcache.exe
/usr/lib/wine/%{winepedir}/reg.exe
/usr/lib/wine/%{winepedir}/regasm.exe
/usr/lib/wine/%{winepedir}/regedit.exe
/usr/lib/wine/%{winepedir}/regini.exe
/usr/lib/wine/%{winepedir}/regsvcs.exe
/usr/lib/wine/%{winepedir}/regsvr32.exe
/usr/lib/wine/%{winepedir}/robocopy.exe
/usr/lib/wine/%{winepedir}/rpcss.exe
/usr/lib/wine/%{winepedir}/rundll32.exe
/usr/lib/wine/%{winepedir}/sc.exe
/usr/lib/wine/%{winepedir}/schtasks.exe
/usr/lib/wine/%{winepedir}/sdbinst.exe
/usr/lib/wine/%{winepedir}/secedit.exe
/usr/lib/wine/%{winepedir}/servicemodelreg.exe
/usr/lib/wine/%{winepedir}/services.exe
/usr/lib/wine/%{winepedir}/setx.exe
/usr/lib/wine/%{winepedir}/shutdown.exe
/usr/lib/wine/%{winepedir}/sort.exe
/usr/lib/wine/%{winepedir}/spoolsv.exe
/usr/lib/wine/%{winepedir}/start.exe
/usr/lib/wine/%{winepedir}/subst.exe
/usr/lib/wine/%{winepedir}/svchost.exe
/usr/lib/wine/%{winepedir}/systeminfo.exe
/usr/lib/wine/%{winepedir}/taskkill.exe
/usr/lib/wine/%{winepedir}/tasklist.exe
/usr/lib/wine/%{winepedir}/termsv.exe
/usr/lib/wine/%{winepedir}/timeout.exe
/usr/lib/wine/%{winepedir}/uninstaller.exe
/usr/lib/wine/%{winepedir}/unlodctr.exe
/usr/lib/wine/%{winepedir}/view.exe
/usr/lib/wine/%{winepedir}/wevtutil.exe
/usr/lib/wine/%{winepedir}/where.exe
/usr/lib/wine/%{winepedir}/whoami.exe
/usr/lib/wine/%{winepedir}/wineboot.exe
/usr/lib/wine/%{winepedir}/winebrowser.exe
/usr/lib/wine/%{winepedir}/winecfg.exe
/usr/lib/wine/%{winepedir}/winedevice.exe
/usr/lib/wine/%{winepedir}/wineconsole.exe
/usr/lib/wine/%{winepedir}/winemenubuilder.exe
/usr/lib/wine/%{winepedir}/winhlp32.exe
/usr/lib/wine/%{winepedir}/wmic.exe
/usr/lib/wine/%{winepedir}/wmplayer.exe
/usr/lib/wine/%{winepedir}/wscript.exe
/usr/lib/wine/%{winepedir}/wuauserv.exe
/usr/lib/wine/%{winepedir}/xcopy.exe
# end core 64bit exe other

# core 32bit exe other
/usr/lib/wine/%{winepe32dir}/arp.exe
/usr/lib/wine/%{winepe32dir}/aspnet_regiis.exe
/usr/lib/wine/%{winepe32dir}/attrib.exe
/usr/lib/wine/%{winepe32dir}/cacls.exe
/usr/lib/wine/%{winepe32dir}/certutil.exe
/usr/lib/wine/%{winepe32dir}/clock.exe
/usr/lib/wine/%{winepe32dir}/conhost.exe
/usr/lib/wine/%{winepe32dir}/cscript.exe
/usr/lib/wine/%{winepe32dir}/dism.exe
/usr/lib/wine/%{winepe32dir}/dllhost.exe
/usr/lib/wine/%{winepe32dir}/dplaysvr.exe
/usr/lib/wine/%{winepe32dir}/dpnsvr.exe
/usr/lib/wine/%{winepe32dir}/dpvsetup.exe
/usr/lib/wine/%{winepe32dir}/eject.exe
/usr/lib/wine/%{winepe32dir}/expand.exe
/usr/lib/wine/%{winepe32dir}/extrac32.exe
/usr/lib/wine/%{winepe32dir}/fc.exe
/usr/lib/wine/%{winepe32dir}/find.exe
/usr/lib/wine/%{winepe32dir}/findstr.exe
/usr/lib/wine/%{winepe32dir}/fsutil.exe
/usr/lib/wine/%{winepe32dir}/hh.exe
/usr/lib/wine/%{winepe32dir}/hostname.exe
/usr/lib/wine/%{winepe32dir}/icacls.exe
/usr/lib/wine/%{winepe32dir}/icinfo.exe
/usr/lib/wine/%{winepe32dir}/iexplore.exe
/usr/lib/wine/%{winepe32dir}/ipconfig.exe
/usr/lib/wine/%{winepe32dir}/klist.exe
/usr/lib/wine/%{winepe32dir}/lodctr.exe
/usr/lib/wine/%{winepe32dir}/makecab.exe
/usr/lib/wine/%{winepe32dir}/mofcomp.exe
/usr/lib/wine/%{winepe32dir}/mshta.exe
/usr/lib/wine/%{winepe32dir}/msidb.exe
/usr/lib/wine/%{winepe32dir}/msiexec.exe
/usr/lib/wine/%{winepe32dir}/msinfo32.exe
/usr/lib/wine/%{winepe32dir}/net.exe
/usr/lib/wine/%{winepe32dir}/netsh.exe
/usr/lib/wine/%{winepe32dir}/netstat.exe
/usr/lib/wine/%{winepe32dir}/ngen.exe
/usr/lib/wine/%{winepe32dir}/ntoskrnl.exe
/usr/lib/wine/%{winepe32dir}/oleview.exe
/usr/lib/wine/%{winepe32dir}/ping.exe
/usr/lib/wine/%{winepe32dir}/pnputil.exe
/usr/lib/wine/%{winepe32dir}/powershell.exe
/usr/lib/wine/%{winepe32dir}/presentationfontcache.exe
/usr/lib/wine/%{winepe32dir}/reg.exe
/usr/lib/wine/%{winepe32dir}/regasm.exe
/usr/lib/wine/%{winepe32dir}/regedit.exe
/usr/lib/wine/%{winepe32dir}/regini.exe
/usr/lib/wine/%{winepe32dir}/regsvcs.exe
/usr/lib/wine/%{winepe32dir}/regsvr32.exe
/usr/lib/wine/%{winepe32dir}/robocopy.exe
/usr/lib/wine/%{winepe32dir}/rpcss.exe
/usr/lib/wine/%{winepe32dir}/rundll32.exe
/usr/lib/wine/%{winepe32dir}/sc.exe
/usr/lib/wine/%{winepe32dir}/schtasks.exe
/usr/lib/wine/%{winepe32dir}/sdbinst.exe
/usr/lib/wine/%{winepe32dir}/secedit.exe
/usr/lib/wine/%{winepe32dir}/servicemodelreg.exe
/usr/lib/wine/%{winepe32dir}/services.exe
/usr/lib/wine/%{winepe32dir}/setx.exe
/usr/lib/wine/%{winepe32dir}/shutdown.exe
/usr/lib/wine/%{winepe32dir}/sort.exe
/usr/lib/wine/%{winepe32dir}/spoolsv.exe
/usr/lib/wine/%{winepe32dir}/start.exe
/usr/lib/wine/%{winepe32dir}/subst.exe
/usr/lib/wine/%{winepe32dir}/svchost.exe
/usr/lib/wine/%{winepe32dir}/systeminfo.exe
/usr/lib/wine/%{winepe32dir}/taskkill.exe
/usr/lib/wine/%{winepe32dir}/tasklist.exe
/usr/lib/wine/%{winepe32dir}/termsv.exe
/usr/lib/wine/%{winepe32dir}/timeout.exe
/usr/lib/wine/%{winepe32dir}/uninstaller.exe
/usr/lib/wine/%{winepe32dir}/unlodctr.exe
/usr/lib/wine/%{winepe32dir}/view.exe
/usr/lib/wine/%{winepe32dir}/wevtutil.exe
/usr/lib/wine/%{winepe32dir}/where.exe
/usr/lib/wine/%{winepe32dir}/whoami.exe
/usr/lib/wine/%{winepe32dir}/wineboot.exe
/usr/lib/wine/%{winepe32dir}/winebrowser.exe
/usr/lib/wine/%{winepe32dir}/winecfg.exe
/usr/lib/wine/%{winepe32dir}/winedevice.exe
/usr/lib/wine/%{winepe32dir}/wineconsole.exe
/usr/lib/wine/%{winepe32dir}/winemenubuilder.exe
/usr/lib/wine/%{winepe32dir}/winhlp32.exe
/usr/lib/wine/%{winepe32dir}/wmic.exe
/usr/lib/wine/%{winepe32dir}/wmplayer.exe
/usr/lib/wine/%{winepe32dir}/wscript.exe
/usr/lib/wine/%{winepe32dir}/wuauserv.exe
/usr/lib/wine/%{winepe32dir}/xcopy.exe
# end core 32bit exe other

# core 64bit dlls
/usr/lib/wine/%{winepedir}/acledit.dll
/usr/lib/wine/%{winepedir}/aclui.dll
/usr/lib/wine/%{winepedir}/activeds.dll
/usr/lib/wine/%{winepedir}/activeds.tlb
/usr/lib/wine/%{winepedir}/actxprxy.dll
/usr/lib/wine/%{winepedir}/adsldp.dll
/usr/lib/wine/%{winepedir}/adsldpc.dll
/usr/lib/wine/%{winepedir}/advapi32.dll
/usr/lib/wine/%{winepedir}/advpack.dll
/usr/lib/wine/%{winepedir}/amsi.dll
/usr/lib/wine/%{winepedir}/amstream.dll
/usr/lib/wine/%{winepedir}/apisetschema.dll
/usr/lib/wine/%{winepedir}/apphelp.dll
/usr/lib/wine/%{winepedir}/appwiz.cpl
/usr/lib/wine/%{winepedir}/appxdeploymentclient.dll
/usr/lib/wine/%{winepedir}/atl.dll
/usr/lib/wine/%{winepedir}/atl80.dll
/usr/lib/wine/%{winepedir}/atl90.dll
/usr/lib/wine/%{winepedir}/atl100.dll
/usr/lib/wine/%{winepedir}/atl110.dll
/usr/lib/wine/%{winepedir}/atlthunk.dll
/usr/lib/wine/%{winepedir}/atmlib.dll
/usr/lib/wine/%{winepedir}/authz.dll
/usr/lib/wine/%{winepedir}/avicap32.dll
/usr/lib/wine/%{winesodir}/avicap32.so
/usr/lib/wine/%{winepedir}/avifil32.dll
/usr/lib/wine/%{winepedir}/avrt.dll
/usr/lib/wine/%{winepedir}/bcp47langs.dll
/usr/lib/wine/%{winesodir}/bcrypt.so
/usr/lib/wine/%{winepedir}/bcrypt.dll
/usr/lib/wine/%{winepedir}/bcryptprimitives.dll
/usr/lib/wine/%{winepedir}/bluetoothapis.dll
/usr/lib/wine/%{winepedir}/browseui.dll
/usr/lib/wine/%{winepedir}/bthprops.cpl
/usr/lib/wine/%{winepedir}/cabinet.dll
/usr/lib/wine/%{winepedir}/cards.dll
/usr/lib/wine/%{winepedir}/cdosys.dll
/usr/lib/wine/%{winepedir}/cfgmgr32.dll
/usr/lib/wine/%{winepedir}/chcp.com
/usr/lib/wine/%{winepedir}/clusapi.dll
/usr/lib/wine/%{winepedir}/cng.sys
/usr/lib/wine/%{winepedir}/colorcnv.dll
/usr/lib/wine/%{winepedir}/combase.dll
/usr/lib/wine/%{winepedir}/comcat.dll
/usr/lib/wine/%{winepedir}/comctl32.dll
/usr/lib/wine/%{winepedir}/comdlg32.dll
/usr/lib/wine/%{winepedir}/coml2.dll
/usr/lib/wine/%{winepedir}/compstui.dll
/usr/lib/wine/%{winepedir}/comsvcs.dll
/usr/lib/wine/%{winepedir}/concrt140.dll
/usr/lib/wine/%{winepedir}/connect.dll
/usr/lib/wine/%{winepedir}/coremessaging.dll
/usr/lib/wine/%{winepedir}/credui.dll
/usr/lib/wine/%{winepedir}/crtdll.dll
/usr/lib/wine/%{winesodir}/crypt32.so
/usr/lib/wine/%{winepedir}/crypt32.dll
/usr/lib/wine/%{winepedir}/cryptbase.dll
/usr/lib/wine/%{winepedir}/cryptdlg.dll
/usr/lib/wine/%{winepedir}/cryptdll.dll
/usr/lib/wine/%{winepedir}/cryptext.dll
/usr/lib/wine/%{winepedir}/cryptnet.dll
/usr/lib/wine/%{winepedir}/cryptowinrt.dll
/usr/lib/wine/%{winepedir}/cryptsp.dll
/usr/lib/wine/%{winepedir}/cryptui.dll
/usr/lib/wine/%{winepedir}/ctapi32.dll
/usr/lib/wine/%{winesodir}/ctapi32.so
/usr/lib/wine/%{winepedir}/ctl3d32.dll
/usr/lib/wine/%{winepedir}/d2d1.dll
/usr/lib/wine/%{winepedir}/d3d10.dll
/usr/lib/wine/%{winepedir}/d3d10_1.dll
/usr/lib/wine/%{winepedir}/d3d10core.dll
#%%{_libdir}/wine/%%{winepedir}/wine-d3d10.dll
#%%{_libdir}/wine/%%{winepedir}/wine-d3d10_1.dll
#%%{_libdir}/wine/%%{winepedir}/wine-d3d10core.dll
/usr/lib/wine/%{winepedir}/d3d11.dll
#%%{_libdir}/wine/%%{winepedir}/wine-d3d11.dll
/usr/lib/wine/%{winepedir}/d3d12.dll
/usr/lib/wine/%{winepedir}/d3d12core.dll
/usr/lib/wine/%{winepedir}/d3d8.dll
#%%{_libdir}/wine/%%{winepedir}/wine-d3d8.dll
/usr/lib/wine/%{winepedir}/d3d8thk.dll
/usr/lib/wine/%{winepedir}/d3d9.dll
#%%{_libdir}/wine/%%{winepedir}/wine-d3d9.dll
/usr/lib/wine/%{winepedir}/d3dcompiler_*.dll
/usr/lib/wine/%{winepedir}/d3dim.dll
/usr/lib/wine/%{winepedir}/d3dim700.dll
/usr/lib/wine/%{winepedir}/d3drm.dll
/usr/lib/wine/%{winepedir}/d3dx9_*.dll
/usr/lib/wine/%{winepedir}/d3dx10_*.dll
/usr/lib/wine/%{winepedir}/d3dx11_42.dll
/usr/lib/wine/%{winepedir}/d3dx11_43.dll
/usr/lib/wine/%{winepedir}/d3dxof.dll
/usr/lib/wine/%{winepedir}/dataexchange.dll
/usr/lib/wine/%{winepedir}/davclnt.dll
/usr/lib/wine/%{winepedir}/dbgeng.dll
/usr/lib/wine/%{winepedir}/dbghelp.dll
/usr/lib/wine/%{winepedir}/dciman32.dll
/usr/lib/wine/%{winepedir}/dcomp.dll
/usr/lib/wine/%{winepedir}/ddraw.dll
/usr/lib/wine/%{winepedir}/ddrawex.dll
/usr/lib/wine/%{winepedir}/desk.cpl
/usr/lib/wine/%{winepedir}/devenum.dll
/usr/lib/wine/%{winepedir}/dhcpcsvc.dll
/usr/lib/wine/%{winepedir}/dhcpcsvc6.dll
/usr/lib/wine/%{winepedir}/dhtmled.ocx
/usr/lib/wine/%{winepedir}/diasymreader.dll
/usr/lib/wine/%{winepedir}/difxapi.dll
/usr/lib/wine/%{winepedir}/dinput.dll
/usr/lib/wine/%{winepedir}/dinput8.dll
/usr/lib/wine/%{winepedir}/directmanipulation.dll
/usr/lib/wine/%{winepedir}/dispex.dll
/usr/lib/wine/%{winepedir}/dmband.dll
/usr/lib/wine/%{winepedir}/dmcompos.dll
/usr/lib/wine/%{winepedir}/dmime.dll
/usr/lib/wine/%{winepedir}/dmloader.dll
/usr/lib/wine/%{winepedir}/dmscript.dll
/usr/lib/wine/%{winepedir}/dmstyle.dll
/usr/lib/wine/%{winepedir}/dmsynth.dll
/usr/lib/wine/%{winepedir}/dmusic.dll
/usr/lib/wine/%{winepedir}/dmusic32.dll
/usr/lib/wine/%{winepedir}/dnsapi.dll
/usr/lib/wine/%{winesodir}/dnsapi.so
/usr/lib/wine/%{winepedir}/dplay.dll
/usr/lib/wine/%{winepedir}/dplayx.dll
/usr/lib/wine/%{winepedir}/dpnaddr.dll
/usr/lib/wine/%{winepedir}/dpnet.dll
/usr/lib/wine/%{winepedir}/dpnhpast.dll
/usr/lib/wine/%{winepedir}/dpnhupnp.dll
/usr/lib/wine/%{winepedir}/dpnlobby.dll
/usr/lib/wine/%{winepedir}/dpvoice.dll
/usr/lib/wine/%{winepedir}/dpwsockx.dll
/usr/lib/wine/%{winepedir}/drmclien.dll
/usr/lib/wine/%{winepedir}/dsound.dll
/usr/lib/wine/%{winepedir}/dsdmo.dll
/usr/lib/wine/%{winepedir}/dsquery.dll
/usr/lib/wine/%{winepedir}/dssenh.dll
/usr/lib/wine/%{winepedir}/dsuiext.dll
/usr/lib/wine/%{winepedir}/dswave.dll
/usr/lib/wine/%{winepedir}/dwmapi.dll
/usr/lib/wine/%{winepedir}/dwrite.dll
/usr/lib/wine/%{winesodir}/dwrite.so
/usr/lib/wine/%{winepedir}/dx8vb.dll
/usr/lib/wine/%{winepedir}/dxcore.dll
/usr/lib/wine/%{winepedir}/dxdiagn.dll
/usr/lib/wine/%{winepedir}/dxgi.dll
#%%{_libdir}/wine/%%{winepedir}/wine-dxgi.dll
%if 0%{?wine_staging}
/usr/lib/wine/%{winepedir}/dxgkrnl.sys
/usr/lib/wine/%{winepedir}/dxgmms1.sys
%endif
/usr/lib/wine/%{winepedir}/dxtrans.dll
/usr/lib/wine/%{winepedir}/dxva2.dll
/usr/lib/wine/%{winepedir}/esent.dll
/usr/lib/wine/%{winepedir}/evr.dll
/usr/lib/wine/%{winepedir}/explorerframe.dll
/usr/lib/wine/%{winepedir}/faultrep.dll
/usr/lib/wine/%{winepedir}/feclient.dll
/usr/lib/wine/%{winepedir}/fltlib.dll
/usr/lib/wine/%{winepedir}/fltmgr.sys
/usr/lib/wine/%{winepedir}/fntcache.dll
/usr/lib/wine/%{winepedir}/fontsub.dll
/usr/lib/wine/%{winepedir}/fusion.dll
/usr/lib/wine/%{winepedir}/fwpuclnt.dll
/usr/lib/wine/%{winepedir}/gameux.dll
/usr/lib/wine/%{winepedir}/gamingtcui.dll
/usr/lib/wine/%{winepedir}/gdi32.dll
/usr/lib/wine/%{winepedir}/gdiplus.dll
/usr/lib/wine/%{winepedir}/geolocation.dll
/usr/lib/wine/%{winepedir}/glu32.dll
/usr/lib/wine/%{winepedir}/gphoto2.ds
/usr/lib/wine/%{winesodir}/gphoto2.so
/usr/lib/wine/%{winepedir}/gpkcsp.dll
/usr/lib/wine/%{winepedir}/graphicscapture.dll
/usr/lib/wine/%{winepedir}/hal.dll
/usr/lib/wine/%{winepedir}/hhctrl.ocx
/usr/lib/wine/%{winepedir}/hid.dll
/usr/lib/wine/%{winepedir}/hidclass.sys
/usr/lib/wine/%{winepedir}/hidparse.sys
/usr/lib/wine/%{winepedir}/hlink.dll
/usr/lib/wine/%{winepedir}/hnetcfg.dll
/usr/lib/wine/%{winepedir}/hrtfapo.dll
/usr/lib/wine/%{winepedir}/http.sys
/usr/lib/wine/%{winepedir}/httpapi.dll
/usr/lib/wine/%{winepedir}/hvsimanagementapi.dll
/usr/lib/wine/%{winepedir}/ia2comproxy.dll
/usr/lib/wine/%{winepedir}/iccvid.dll
/usr/lib/wine/%{winepedir}/icmp.dll
/usr/lib/wine/%{winepedir}/icmui.dll
/usr/lib/wine/%{winepedir}/ieframe.dll
/usr/lib/wine/%{winepedir}/ieproxy.dll
/usr/lib/wine/%{winepedir}/iertutil.dll
/usr/lib/wine/%{winepedir}/imaadp32.acm
/usr/lib/wine/%{winepedir}/imagehlp.dll
/usr/lib/wine/%{winepedir}/imm32.dll
/usr/lib/wine/%{winepedir}/inetcomm.dll
/usr/lib/wine/%{winepedir}/inetcpl.cpl
/usr/lib/wine/%{winepedir}/inetmib1.dll
/usr/lib/wine/%{winepedir}/infosoft.dll
/usr/lib/wine/%{winepedir}/initpki.dll
/usr/lib/wine/%{winepedir}/inkobj.dll
/usr/lib/wine/%{winepedir}/inseng.dll
/usr/lib/wine/%{winepedir}/iphlpapi.dll
/usr/lib/wine/%{winepedir}/iprop.dll
/usr/lib/wine/%{winepedir}/irprops.cpl
/usr/lib/wine/%{winepedir}/ir50_32.dll
/usr/lib/wine/%{winepedir}/itircl.dll
/usr/lib/wine/%{winepedir}/itss.dll
/usr/lib/wine/%{winepedir}/joy.cpl
/usr/lib/wine/%{winepedir}/jscript.dll
/usr/lib/wine/%{winepedir}/jsproxy.dll
/usr/lib/wine/%{winesodir}/kerberos.so
/usr/lib/wine/%{winepedir}/kerberos.dll
/usr/lib/wine/%{winepedir}/kernel32.dll
/usr/lib/wine/%{winepedir}/kernelbase.dll
/usr/lib/wine/%{winepedir}/ksecdd.sys
/usr/lib/wine/%{winepedir}/ksproxy.ax
/usr/lib/wine/%{winepedir}/ksuser.dll
/usr/lib/wine/%{winepedir}/ktmw32.dll
/usr/lib/wine/%{winepedir}/l3codeca.acm
/usr/lib/wine/%{winepedir}/l3codecx.ax
/usr/lib/wine/%{winepedir}/light.msstyles
/usr/lib/wine/%{winepedir}/loadperf.dll
/usr/lib/wine/%{winesodir}/localspl.so
/usr/lib/wine/%{winepedir}/localspl.dll
/usr/lib/wine/%{winepedir}/localui.dll
/usr/lib/wine/%{winepedir}/lz32.dll
/usr/lib/wine/%{winepedir}/magnification.dll
/usr/lib/wine/%{winepedir}/mapi32.dll
/usr/lib/wine/%{winepedir}/mapistub.dll
/usr/lib/wine/%{winepedir}/mciavi32.dll
/usr/lib/wine/%{winepedir}/mcicda.dll
/usr/lib/wine/%{winepedir}/mciqtz32.dll
/usr/lib/wine/%{winepedir}/mciseq.dll
/usr/lib/wine/%{winepedir}/mciwave.dll
/usr/lib/wine/%{winepedir}/mf.dll
/usr/lib/wine/%{winepedir}/mf3216.dll
/usr/lib/wine/%{winepedir}/mfasfsrcsnk.dll
/usr/lib/wine/%{winepedir}/mferror.dll
/usr/lib/wine/%{winepedir}/mfh264enc.dll
/usr/lib/wine/%{winepedir}/mfmediaengine.dll
/usr/lib/wine/%{winepedir}/mfmp4srcsnk.dll
/usr/lib/wine/%{winepedir}/mfplat.dll
/usr/lib/wine/%{winepedir}/mfplay.dll
/usr/lib/wine/%{winepedir}/mfreadwrite.dll
/usr/lib/wine/%{winepedir}/mfsrcsnk.dll
/usr/lib/wine/%{winepedir}/mgmtapi.dll
/usr/lib/wine/%{winepedir}/midimap.dll
/usr/lib/wine/%{winepedir}/mlang.dll
/usr/lib/wine/%{winepedir}/mmcndmgr.dll
/usr/lib/wine/%{winepedir}/mmdevapi.dll
/usr/lib/wine/%{winepedir}/mouhid.sys
/usr/lib/wine/%{winesodir}/mountmgr.so
/usr/lib/wine/%{winepedir}/mountmgr.sys
/usr/lib/wine/%{winepedir}/mp3dmod.dll
/usr/lib/wine/%{winepedir}/mpr.dll
/usr/lib/wine/%{winepedir}/mprapi.dll
/usr/lib/wine/%{winepedir}/msacm32.dll
/usr/lib/wine/%{winepedir}/msacm32.drv
/usr/lib/wine/%{winepedir}/msado15.dll
/usr/lib/wine/%{winepedir}/msadp32.acm
/usr/lib/wine/%{winepedir}/msasn1.dll
/usr/lib/wine/%{winepedir}/msauddecmft.dll
/usr/lib/wine/%{winepedir}/mscat32.dll
/usr/lib/wine/%{winepedir}/mscoree.dll
/usr/lib/wine/%{winepedir}/mscorwks.dll
/usr/lib/wine/%{winepedir}/msctf.dll
/usr/lib/wine/%{winepedir}/msctfmonitor.dll
/usr/lib/wine/%{winepedir}/msctfp.dll
/usr/lib/wine/%{winepedir}/msdaps.dll
/usr/lib/wine/%{winepedir}/msdasql.dll
/usr/lib/wine/%{winepedir}/msdelta.dll
/usr/lib/wine/%{winepedir}/msdmo.dll
/usr/lib/wine/%{winepedir}/msdrm.dll
/usr/lib/wine/%{winepedir}/msftedit.dll
/usr/lib/wine/%{winepedir}/msg711.acm
/usr/lib/wine/%{winepedir}/msgsm32.acm
/usr/lib/wine/%{winepedir}/mshtml.dll
/usr/lib/wine/%{winepedir}/mshtml.tlb
/usr/lib/wine/%{winepedir}/msi.dll
/usr/lib/wine/%{winepedir}/msident.dll
/usr/lib/wine/%{winepedir}/msimtf.dll
/usr/lib/wine/%{winepedir}/msimg32.dll
/usr/lib/wine/%{winepedir}/msimsg.dll
/usr/lib/wine/%{winepedir}/msisip.dll
/usr/lib/wine/%{winepedir}/msisys.ocx
/usr/lib/wine/%{winepedir}/msls31.dll
/usr/lib/wine/%{winepedir}/msmpeg2vdec.dll
/usr/lib/wine/%{winepedir}/msnet32.dll
/usr/lib/wine/%{winepedir}/mspatcha.dll
/usr/lib/wine/%{winepedir}/msports.dll
/usr/lib/wine/%{winepedir}/msscript.ocx
/usr/lib/wine/%{winepedir}/mssign32.dll
/usr/lib/wine/%{winepedir}/mssip32.dll
/usr/lib/wine/%{winepedir}/msrle32.dll
/usr/lib/wine/%{winepedir}/mstask.dll
/usr/lib/wine/%{winepedir}/msttsengine.dll
/usr/lib/wine/%{winepedir}/msv1_0.dll
/usr/lib/wine/%{winesodir}/msv1_0.so
/usr/lib/wine/%{winepedir}/msvcirt.dll
/usr/lib/wine/%{winepedir}/msvcm80.dll
/usr/lib/wine/%{winepedir}/msvcm90.dll
/usr/lib/wine/%{winepedir}/msvcp_win.dll
/usr/lib/wine/%{winepedir}/msvcp60.dll
/usr/lib/wine/%{winepedir}/msvcp70.dll
/usr/lib/wine/%{winepedir}/msvcp71.dll
/usr/lib/wine/%{winepedir}/msvcp80.dll
/usr/lib/wine/%{winepedir}/msvcp90.dll
/usr/lib/wine/%{winepedir}/msvcp100.dll
/usr/lib/wine/%{winepedir}/msvcp110.dll
/usr/lib/wine/%{winepedir}/msvcp120.dll
/usr/lib/wine/%{winepedir}/msvcp120_app.dll
/usr/lib/wine/%{winepedir}/msvcp140.dll
/usr/lib/wine/%{winepedir}/msvcp140_1.dll
/usr/lib/wine/%{winepedir}/msvcp140_2.dll
/usr/lib/wine/%{winepedir}/msvcp140_atomic_wait.dll
/usr/lib/wine/%{winepedir}/msvcp140_codecvt_ids.dll
/usr/lib/wine/%{winepedir}/msvcr70.dll
/usr/lib/wine/%{winepedir}/msvcr71.dll
/usr/lib/wine/%{winepedir}/msvcr80.dll
/usr/lib/wine/%{winepedir}/msvcr90.dll
/usr/lib/wine/%{winepedir}/msvcr100.dll
/usr/lib/wine/%{winepedir}/msvcr110.dll
/usr/lib/wine/%{winepedir}/msvcr120.dll
/usr/lib/wine/%{winepedir}/msvcr120_app.dll
/usr/lib/wine/%{winepedir}/msvcrt.dll
/usr/lib/wine/%{winepedir}/msvcrt20.dll
/usr/lib/wine/%{winepedir}/msvcrt40.dll
/usr/lib/wine/%{winepedir}/msvcrtd.dll
/usr/lib/wine/%{winepedir}/msvfw32.dll
/usr/lib/wine/%{winepedir}/msvidc32.dll
/usr/lib/wine/%{winepedir}/msvproc.dll
/usr/lib/wine/%{winepedir}/mswsock.dll
/usr/lib/wine/%{winepedir}/msxml.dll
/usr/lib/wine/%{winepedir}/msxml2.dll
/usr/lib/wine/%{winepedir}/msxml3.dll
/usr/lib/wine/%{winepedir}/msxml4.dll
/usr/lib/wine/%{winepedir}/msxml6.dll
/usr/lib/wine/%{winepedir}/mtxdm.dll
/usr/lib/wine/%{winepedir}/nddeapi.dll
/usr/lib/wine/%{winepedir}/ncrypt.dll
/usr/lib/wine/%{winepedir}/ndis.sys
/usr/lib/wine/%{winesodir}/netapi32.so
/usr/lib/wine/%{winepedir}/netapi32.dll
/usr/lib/wine/%{winepedir}/netcfgx.dll
/usr/lib/wine/%{winepedir}/netio.sys
/usr/lib/wine/%{winepedir}/netprofm.dll
/usr/lib/wine/%{winepedir}/netutils.dll
/usr/lib/wine/%{winepedir}/newdev.dll
/usr/lib/wine/%{winepedir}/ninput.dll
/usr/lib/wine/%{winepedir}/normaliz.dll
/usr/lib/wine/%{winepedir}/npmshtml.dll
/usr/lib/wine/%{winepedir}/npptools.dll
/usr/lib/wine/%{winepedir}/nsi.dll
/usr/lib/wine/%{winesodir}/nsiproxy.so
/usr/lib/wine/%{winepedir}/nsiproxy.sys
/usr/lib/wine/%{winesodir}/ntdll.so
/usr/lib/wine/%{winepedir}/ntdll.dll
/usr/lib/wine/%{winepedir}/ntdsapi.dll
/usr/lib/wine/%{winepedir}/ntprint.dll
#%%if 0%%{?wine_staging}
#%%{_libdir}/wine/%%{winepedir}/nvcuda.dll
#%%{_libdir}/wine/%%{winesodir}/nvcuda.dll.so
#%%{_libdir}/wine/%%{winepedir}/nvcuvid.dll
#%%{_libdir}/wine/%%{winesodir}/nvcuvid.dll.so
#%%endif
/usr/lib/wine/%{winepedir}/objsel.dll
/usr/lib/wine/%{winesodir}/odbc32.so
/usr/lib/wine/%{winepedir}/odbc32.dll
/usr/lib/wine/%{winepedir}/odbcbcp.dll
/usr/lib/wine/%{winepedir}/odbccp32.dll
/usr/lib/wine/%{winepedir}/odbccu32.dll
/usr/lib/wine/%{winepedir}/ole32.dll
/usr/lib/wine/%{winepedir}/oleacc.dll
/usr/lib/wine/%{winepedir}/oleaut32.dll
/usr/lib/wine/%{winepedir}/olecli32.dll
/usr/lib/wine/%{winepedir}/oledb32.dll
/usr/lib/wine/%{winepedir}/oledlg.dll
/usr/lib/wine/%{winepedir}/olepro32.dll
/usr/lib/wine/%{winepedir}/olesvr32.dll
/usr/lib/wine/%{winepedir}/olethk32.dll
/usr/lib/wine/%{winepedir}/opcservices.dll
/usr/lib/wine/%{winepedir}/opengl32.dll
/usr/lib/wine/%{winesodir}/opengl32.so
/usr/lib/wine/%{winepedir}/wined3d.dll
/usr/lib/wine/%{winepedir}/packager.dll
/usr/lib/wine/%{winepedir}/pdh.dll
/usr/lib/wine/%{winepedir}/photometadatahandler.dll
/usr/lib/wine/%{winepedir}/pidgen.dll
/usr/lib/wine/%{winepedir}/powrprof.dll
/usr/lib/wine/%{winepedir}/printui.dll
/usr/lib/wine/%{winepedir}/prntvpt.dll
/usr/lib/wine/%{winepedir}/profapi.dll
/usr/lib/wine/%{winepedir}/propsys.dll
/usr/lib/wine/%{winepedir}/psapi.dll
/usr/lib/wine/%{winepedir}/pstorec.dll
/usr/lib/wine/%{winepedir}/pwrshplugin.dll
/usr/lib/wine/%{winepedir}/qasf.dll
/usr/lib/wine/%{winepedir}/qcap.dll
/usr/lib/wine/%{winesodir}/qcap.so
/usr/lib/wine/%{winepedir}/qdvd.dll
/usr/lib/wine/%{winepedir}/qedit.dll
/usr/lib/wine/%{winepedir}/qmgr.dll
/usr/lib/wine/%{winepedir}/qmgrprxy.dll
/usr/lib/wine/%{winepedir}/quartz.dll
/usr/lib/wine/%{winepedir}/query.dll
/usr/lib/wine/%{winepedir}/qwave.dll
/usr/lib/wine/%{winepedir}/rasapi32.dll
/usr/lib/wine/%{winepedir}/rasdlg.dll
/usr/lib/wine/%{winepedir}/regapi.dll
/usr/lib/wine/%{winepedir}/resampledmo.dll
/usr/lib/wine/%{winepedir}/resutils.dll
/usr/lib/wine/%{winepedir}/riched20.dll
/usr/lib/wine/%{winepedir}/riched32.dll
/usr/lib/wine/%{winepedir}/rometadata.dll
/usr/lib/wine/%{winepedir}/rpcrt4.dll
/usr/lib/wine/%{winepedir}/rsabase.dll
/usr/lib/wine/%{winepedir}/rsaenh.dll
/usr/lib/wine/%{winepedir}/rstrtmgr.dll
/usr/lib/wine/%{winepedir}/rtutils.dll
/usr/lib/wine/%{winepedir}/rtworkq.dll
/usr/lib/wine/%{winepedir}/samlib.dll
/usr/lib/wine/%{winepedir}/sapi.dll
/usr/lib/wine/%{winepedir}/sas.dll
/usr/lib/wine/%{winepedir}/scarddlg.dll
/usr/lib/wine/%{winepedir}/scardsvr.dll
/usr/lib/wine/%{winepedir}/sccbase.dll
/usr/lib/wine/%{winepedir}/schannel.dll
/usr/lib/wine/%{winepedir}/scrobj.dll
/usr/lib/wine/%{winepedir}/scrrun.dll
/usr/lib/wine/%{winepedir}/scsiport.sys
/usr/lib/wine/%{winepedir}/sechost.dll
/usr/lib/wine/%{winepedir}/secur32.dll
/usr/lib/wine/%{winesodir}/secur32.so
/usr/lib/wine/%{winepedir}/sensapi.dll
/usr/lib/wine/%{winepedir}/serialui.dll
/usr/lib/wine/%{winepedir}/setupapi.dll
/usr/lib/wine/%{winepedir}/sfc.dll
/usr/lib/wine/%{winepedir}/sfc_os.dll
/usr/lib/wine/%{winepedir}/shcore.dll
/usr/lib/wine/%{winepedir}/shdoclc.dll
/usr/lib/wine/%{winepedir}/shdocvw.dll
/usr/lib/wine/%{winepedir}/schedsvc.dll
/usr/lib/wine/%{winepedir}/shell32.dll
/usr/lib/wine/%{winepedir}/shfolder.dll
/usr/lib/wine/%{winepedir}/shlwapi.dll
/usr/lib/wine/%{winepedir}/slbcsp.dll
/usr/lib/wine/%{winepedir}/slc.dll
/usr/lib/wine/%{winepedir}/security.dll
/usr/lib/wine/%{winepedir}/snmpapi.dll
/usr/lib/wine/%{winepedir}/softpub.dll
/usr/lib/wine/%{winepedir}/spoolss.dll
/usr/lib/wine/%{winepedir}/sppc.dll
/usr/lib/wine/%{winepedir}/srclient.dll
/usr/lib/wine/%{winepedir}/srvcli.dll
/usr/lib/wine/%{winepedir}/srvsvc.dll
/usr/lib/wine/%{winepedir}/sspicli.dll
/usr/lib/wine/%{winepedir}/stdole2.tlb
/usr/lib/wine/%{winepedir}/stdole32.tlb
/usr/lib/wine/%{winepedir}/sti.dll
/usr/lib/wine/%{winepedir}/strmdll.dll
/usr/lib/wine/%{winepedir}/svrapi.dll
/usr/lib/wine/%{winepedir}/sxs.dll
/usr/lib/wine/%{winepedir}/t2embed.dll
/usr/lib/wine/%{winepedir}/tapi32.dll
/usr/lib/wine/%{winepedir}/taskschd.dll
/usr/lib/wine/%{winepedir}/tbs.dll
/usr/lib/wine/%{winepedir}/tdh.dll
/usr/lib/wine/%{winepedir}/tdi.sys
/usr/lib/wine/%{winepedir}/threadpoolwinrt.dll
/usr/lib/wine/%{winepedir}/traffic.dll
/usr/lib/wine/%{winepedir}/twinapi.appcore.dll
/usr/lib/wine/%{winepedir}/tzres.dll
/usr/lib/wine/%{winepedir}/ucrtbase.dll
/usr/lib/wine/%{winepedir}/uianimation.dll
/usr/lib/wine/%{winepedir}/uiautomationcore.dll
/usr/lib/wine/%{winepedir}/uiribbon.dll
/usr/lib/wine/%{winepedir}/unicows.dll
/usr/lib/wine/%{winepedir}/updspapi.dll
/usr/lib/wine/%{winepedir}/url.dll
/usr/lib/wine/%{winepedir}/urlmon.dll
/usr/lib/wine/%{winepedir}/usbd.sys
/usr/lib/wine/%{winepedir}/user32.dll
/usr/lib/wine/%{winepedir}/usp10.dll
/usr/lib/wine/%{winepedir}/utildll.dll
/usr/lib/wine/%{winepedir}/uxtheme.dll
/usr/lib/wine/%{winepedir}/userenv.dll
/usr/lib/wine/%{winepedir}/vbscript.dll
/usr/lib/wine/%{winepedir}/vcomp.dll
/usr/lib/wine/%{winepedir}/vcomp90.dll
/usr/lib/wine/%{winepedir}/vcomp100.dll
/usr/lib/wine/%{winepedir}/vcomp110.dll
/usr/lib/wine/%{winepedir}/vcomp120.dll
/usr/lib/wine/%{winepedir}/vcomp140.dll
/usr/lib/wine/%{winepedir}/vcruntime140.dll
/usr/lib/wine/%{winepedir}/vcruntime140_1.dll
/usr/lib/wine/%{winepedir}/vdmdbg.dll
/usr/lib/wine/%{winepedir}/version.dll
/usr/lib/wine/%{winepedir}/vga.dll
/usr/lib/wine/%{winepedir}/virtdisk.dll
/usr/lib/wine/%{winepedir}/vssapi.dll
/usr/lib/wine/%{winepedir}/vulkan-1.dll
/usr/lib/wine/%{winepedir}/wbemdisp.dll
/usr/lib/wine/%{winepedir}/wbemprox.dll
/usr/lib/wine/%{winepedir}/wdscore.dll
/usr/lib/wine/%{winepedir}/webservices.dll
/usr/lib/wine/%{winepedir}/websocket.dll
/usr/lib/wine/%{winepedir}/wer.dll
/usr/lib/wine/%{winepedir}/wevtapi.dll
/usr/lib/wine/%{winepedir}/wevtsvc.dll
/usr/lib/wine/%{winepedir}/wiaservc.dll
/usr/lib/wine/%{winepedir}/wimgapi.dll
%if 0%{?wine_staging}
/usr/lib/wine/%{winepedir}/win32k.sys
%endif
/usr/lib/wine/%{winepedir}/win32u.dll
/usr/lib/wine/%{winesodir}/win32u.so
/usr/lib/wine/%{winepedir}/windows.applicationmodel.dll
/usr/lib/wine/%{winepedir}/windows.devices.bluetooth.dll
/usr/lib/wine/%{winepedir}/windows.devices.enumeration.dll
/usr/lib/wine/%{winepedir}/windows.devices.usb.dll
/usr/lib/wine/%{winepedir}/windows.gaming.ui.gamebar.dll
/usr/lib/wine/%{winepedir}/windows.gaming.input.dll
/usr/lib/wine/%{winepedir}/windows.globalization.dll
/usr/lib/wine/%{winepedir}/windows.media.dll
/usr/lib/wine/%{winepedir}/windows.media.devices.dll
/usr/lib/wine/%{winepedir}/windows.media.mediacontrol.dll
/usr/lib/wine/%{winepedir}/windows.media.speech.dll
/usr/lib/wine/%{winepedir}/windows.networking.connectivity.dll
/usr/lib/wine/%{winepedir}/windows.networking.dll
/usr/lib/wine/%{winepedir}/windows.networking.hostname.dll
/usr/lib/wine/%{winepedir}/windows.perception.stub.dll
/usr/lib/wine/%{winepedir}/windows.security.authentication.onlineid.dll
/usr/lib/wine/%{winepedir}/windows.security.credentials.ui.userconsentverifier.dll
/usr/lib/wine/%{winepedir}/windows.storage.dll
/usr/lib/wine/%{winepedir}/windows.storage.applicationdata.dll
/usr/lib/wine/%{winepedir}/windows.system.profile.systemid.dll
/usr/lib/wine/%{winepedir}/windows.system.profile.systemmanufacturers.dll
/usr/lib/wine/%{winepedir}/windows.ui.dll
/usr/lib/wine/%{winepedir}/windows.ui.xaml.dll
/usr/lib/wine/%{winepedir}/windows.web.dll
/usr/lib/wine/%{winepedir}/windowscodecs.dll
/usr/lib/wine/%{winepedir}/windowscodecsext.dll
/usr/lib/wine/%{winesodir}/wine
/usr/lib/wine/%{winesodir}/wine-preloader
/usr/lib/wine/%{winesodir}/winebth.so
/usr/lib/wine/%{winepedir}/winebth.sys
/usr/lib/wine/%{winepedir}/winebus.sys
/usr/lib/wine/%{winesodir}/winebus.so
/usr/lib/wine/%{winepedir}/winedmo.dll
/usr/lib/wine/%{winesodir}/winedmo.so
/usr/lib/wine/%{winesodir}/winegstreamer.so
/usr/lib/wine/%{winepedir}/winegstreamer.dll
/usr/lib/wine/%{winepedir}/winehid.sys
/usr/lib/wine/%{winepedir}/winemapi.dll
/usr/lib/wine/%{winepedir}/wineps.drv
/usr/lib/wine/%{winesodir}/wineps.so
/usr/lib/wine/%{winepedir}/wineusb.sys
/usr/lib/wine/%{winesodir}/wineusb.so
/usr/lib/wine/%{winesodir}/winevulkan.so
/usr/lib/wine/%{winepedir}/winevulkan.dll
/usr/lib/wine/%{winepedir}/winewayland.drv
/usr/lib/wine/%{winesodir}/winewayland.so
/usr/lib/wine/%{winepedir}/winex11.drv
/usr/lib/wine/%{winesodir}/winex11.so
/usr/lib/wine/%{winepedir}/winexinput.sys
/usr/lib/wine/%{winepedir}/wing32.dll
/usr/lib/wine/%{winepedir}/winhttp.dll
/usr/lib/wine/%{winepedir}/wininet.dll
/usr/lib/wine/%{winepedir}/winmm.dll
/usr/lib/wine/%{winepedir}/winnls32.dll
/usr/lib/wine/%{winepedir}/winprint.dll
/usr/lib/wine/%{winepedir}/winspool.drv
/usr/lib/wine/%{winesodir}/winspool.so
/usr/lib/wine/%{winepedir}/winsta.dll
/usr/lib/wine/%{winepedir}/wintab32.dll
/usr/lib/wine/%{winepedir}/wintrust.dll
/usr/lib/wine/%{winepedir}/wintypes.dll
/usr/lib/wine/%{winepedir}/winusb.dll
/usr/lib/wine/%{winepedir}/wlanapi.dll
/usr/lib/wine/%{winepedir}/wlanui.dll
/usr/lib/wine/%{winepedir}/wldp.dll
/usr/lib/wine/%{winepedir}/wmadmod.dll
/usr/lib/wine/%{winepedir}/wmasf.dll
/usr/lib/wine/%{winepedir}/wmi.dll
/usr/lib/wine/%{winepedir}/wmilib.sys
/usr/lib/wine/%{winepedir}/wmiutils.dll
/usr/lib/wine/%{winepedir}/wmp.dll
/usr/lib/wine/%{winepedir}/wmphoto.dll
/usr/lib/wine/%{winepedir}/wmvcore.dll
/usr/lib/wine/%{winepedir}/wmvdecod.dll
/usr/lib/wine/%{winepedir}/wnaspi32.dll
/usr/lib/wine/%{winepedir}/wofutil.dll
/usr/lib/wine/%{winepedir}/wow64.dll
/usr/lib/wine/%{winepedir}/wow64win.dll
/usr/lib/wine/%{winepedir}/wow64cpu.dll
/usr/lib/wine/%{winepedir}/wpc.dll
/usr/lib/wine/%{winepedir}/wpcap.dll
/usr/lib/wine/%{winesodir}/wpcap.so
/usr/lib/wine/%{winepedir}/ws2_32.dll
/usr/lib/wine/%{winesodir}/ws2_32.so
/usr/lib/wine/%{winepedir}/wsdapi.dll
/usr/lib/wine/%{winepedir}/wshom.ocx
/usr/lib/wine/%{winepedir}/wsnmp32.dll
/usr/lib/wine/%{winepedir}/wsock32.dll
/usr/lib/wine/%{winepedir}/wtsapi32.dll
/usr/lib/wine/%{winepedir}/wuapi.dll
/usr/lib/wine/%{winepedir}/wuaueng.dll
/usr/lib/wine/%{winepedir}/x3daudio1_0.dll
/usr/lib/wine/%{winepedir}/x3daudio1_1.dll
/usr/lib/wine/%{winepedir}/x3daudio1_2.dll
/usr/lib/wine/%{winepedir}/x3daudio1_3.dll
/usr/lib/wine/%{winepedir}/x3daudio1_4.dll
/usr/lib/wine/%{winepedir}/x3daudio1_5.dll
/usr/lib/wine/%{winepedir}/x3daudio1_6.dll
/usr/lib/wine/%{winepedir}/x3daudio1_7.dll
/usr/lib/wine/%{winepedir}/xactengine2_0.dll
/usr/lib/wine/%{winepedir}/xactengine2_4.dll
/usr/lib/wine/%{winepedir}/xactengine2_7.dll
/usr/lib/wine/%{winepedir}/xactengine2_9.dll
/usr/lib/wine/%{winepedir}/xactengine3_0.dll
/usr/lib/wine/%{winepedir}/xactengine3_1.dll
/usr/lib/wine/%{winepedir}/xactengine3_2.dll
/usr/lib/wine/%{winepedir}/xactengine3_3.dll
/usr/lib/wine/%{winepedir}/xactengine3_4.dll
/usr/lib/wine/%{winepedir}/xactengine3_5.dll
/usr/lib/wine/%{winepedir}/xactengine3_6.dll
/usr/lib/wine/%{winepedir}/xactengine3_7.dll
/usr/lib/wine/%{winepedir}/xapofx1_1.dll
/usr/lib/wine/%{winepedir}/xapofx1_2.dll
/usr/lib/wine/%{winepedir}/xapofx1_3.dll
/usr/lib/wine/%{winepedir}/xapofx1_4.dll
/usr/lib/wine/%{winepedir}/xapofx1_5.dll
/usr/lib/wine/%{winepedir}/xaudio2_0.dll
/usr/lib/wine/%{winepedir}/xaudio2_1.dll
/usr/lib/wine/%{winepedir}/xaudio2_2.dll
/usr/lib/wine/%{winepedir}/xaudio2_3.dll
/usr/lib/wine/%{winepedir}/xaudio2_4.dll
/usr/lib/wine/%{winepedir}/xaudio2_5.dll
/usr/lib/wine/%{winepedir}/xaudio2_6.dll
/usr/lib/wine/%{winepedir}/xaudio2_7.dll
/usr/lib/wine/%{winepedir}/xaudio2_8.dll
/usr/lib/wine/%{winepedir}/xaudio2_9.dll
/usr/lib/wine/%{winepedir}/xinput1_1.dll
/usr/lib/wine/%{winepedir}/xinput1_2.dll
/usr/lib/wine/%{winepedir}/xinput1_3.dll
/usr/lib/wine/%{winepedir}/xinput1_4.dll
/usr/lib/wine/%{winepedir}/xinput9_1_0.dll
/usr/lib/wine/%{winepedir}/xinputuap.dll
/usr/lib/wine/%{winepedir}/xmllite.dll
/usr/lib/wine/%{winepedir}/xolehlp.dll
/usr/lib/wine/%{winepedir}/xpsprint.dll
/usr/lib/wine/%{winepedir}/xpssvcs.dll
# end core 64bit dlls

# core 32bit dlls
/usr/lib/wine/%{winepe32dir}/acledit.dll
/usr/lib/wine/%{winepe32dir}/aclui.dll
/usr/lib/wine/%{winepe32dir}/activeds.dll
/usr/lib/wine/%{winepe32dir}/activeds.tlb
/usr/lib/wine/%{winepe32dir}/actxprxy.dll
/usr/lib/wine/%{winepe32dir}/adsldp.dll
/usr/lib/wine/%{winepe32dir}/adsldpc.dll
/usr/lib/wine/%{winepe32dir}/advapi32.dll
/usr/lib/wine/%{winepe32dir}/advpack.dll
/usr/lib/wine/%{winepe32dir}/amsi.dll
/usr/lib/wine/%{winepe32dir}/amstream.dll
/usr/lib/wine/%{winepe32dir}/apisetschema.dll
/usr/lib/wine/%{winepe32dir}/apphelp.dll
/usr/lib/wine/%{winepe32dir}/appwiz.cpl
/usr/lib/wine/%{winepe32dir}/appxdeploymentclient.dll
/usr/lib/wine/%{winepe32dir}/atl.dll
/usr/lib/wine/%{winepe32dir}/atl80.dll
/usr/lib/wine/%{winepe32dir}/atl90.dll
/usr/lib/wine/%{winepe32dir}/atl100.dll
/usr/lib/wine/%{winepe32dir}/atl110.dll
/usr/lib/wine/%{winepe32dir}/atlthunk.dll
/usr/lib/wine/%{winepe32dir}/atmlib.dll
/usr/lib/wine/%{winepe32dir}/authz.dll
/usr/lib/wine/%{winepe32dir}/avicap32.dll
/usr/lib/wine/%{wineso32dir}/avicap32.so
/usr/lib/wine/%{winepe32dir}/avifil32.dll
/usr/lib/wine/%{winepe32dir}/avrt.dll
/usr/lib/wine/%{winepe32dir}/bcp47langs.dll
/usr/lib/wine/%{winepe32dir}/bcrypt.dll
/usr/lib/wine/%{wineso32dir}/bcrypt.so
/usr/lib/wine/%{winepe32dir}/bcryptprimitives.dll
/usr/lib/wine/%{winepe32dir}/bluetoothapis.dll
/usr/lib/wine/%{winepe32dir}/browseui.dll
/usr/lib/wine/%{winepe32dir}/bthprops.cpl
/usr/lib/wine/%{winepe32dir}/cabinet.dll
/usr/lib/wine/%{winepe32dir}/cards.dll
/usr/lib/wine/%{winepe32dir}/cdosys.dll
/usr/lib/wine/%{winepe32dir}/cfgmgr32.dll
/usr/lib/wine/%{winepe32dir}/chcp.com
/usr/lib/wine/%{winepe32dir}/clusapi.dll
/usr/lib/wine/%{winepe32dir}/cng.sys
/usr/lib/wine/%{winepe32dir}/colorcnv.dll
/usr/lib/wine/%{winepe32dir}/combase.dll
/usr/lib/wine/%{winepe32dir}/comcat.dll
/usr/lib/wine/%{winepe32dir}/comctl32.dll
/usr/lib/wine/%{winepe32dir}/comdlg32.dll
/usr/lib/wine/%{winepe32dir}/coml2.dll
/usr/lib/wine/%{winepe32dir}/compstui.dll
/usr/lib/wine/%{winepe32dir}/comsvcs.dll
/usr/lib/wine/%{winepe32dir}/concrt140.dll
/usr/lib/wine/%{winepe32dir}/connect.dll
/usr/lib/wine/%{winepe32dir}/coremessaging.dll
/usr/lib/wine/%{winepe32dir}/credui.dll
/usr/lib/wine/%{winepe32dir}/crtdll.dll
/usr/lib/wine/%{winepe32dir}/crypt32.dll
/usr/lib/wine/%{wineso32dir}/crypt32.so
/usr/lib/wine/%{winepe32dir}/cryptbase.dll
/usr/lib/wine/%{winepe32dir}/cryptdlg.dll
/usr/lib/wine/%{winepe32dir}/cryptdll.dll
/usr/lib/wine/%{winepe32dir}/cryptext.dll
/usr/lib/wine/%{winepe32dir}/cryptnet.dll
/usr/lib/wine/%{winepe32dir}/cryptowinrt.dll
/usr/lib/wine/%{winepe32dir}/cryptsp.dll
/usr/lib/wine/%{winepe32dir}/cryptui.dll
/usr/lib/wine/%{winepe32dir}/ctapi32.dll
/usr/lib/wine/%{wineso32dir}/ctapi32.so
/usr/lib/wine/%{winepe32dir}/ctl3d32.dll
/usr/lib/wine/%{winepe32dir}/d2d1.dll
/usr/lib/wine/%{winepe32dir}/d3d10.dll
/usr/lib/wine/%{winepe32dir}/d3d10_1.dll
/usr/lib/wine/%{winepe32dir}/d3d10core.dll
#%%{_libdir}/wine/%%{winepe32dir}/wine-d3d10.dll
#%%{_libdir}/wine/%%{winepe32dir}/wine-d3d10_1.dll
#%%{_libdir}/wine/%%{winepe32dir}/wine-d3d10core.dll
/usr/lib/wine/%{winepe32dir}/d3d11.dll
#%%{_libdir}/wine/%%{winepe32dir}/wine-d3d11.dll
/usr/lib/wine/%{winepe32dir}/d3d12.dll
/usr/lib/wine/%{winepe32dir}/d3d12core.dll
/usr/lib/wine/%{winepe32dir}/d3d8.dll
#%%{_libdir}/wine/%%{winepe32dir}/wine-d3d8.dll
/usr/lib/wine/%{winepe32dir}/d3d8thk.dll
/usr/lib/wine/%{winepe32dir}/d3d9.dll
#%%{_libdir}/wine/%%{winepe32dir}/wine-d3d9.dll
/usr/lib/wine/%{winepe32dir}/d3dcompiler_*.dll
/usr/lib/wine/%{winepe32dir}/d3dim.dll
/usr/lib/wine/%{winepe32dir}/d3dim700.dll
/usr/lib/wine/%{winepe32dir}/d3drm.dll
/usr/lib/wine/%{winepe32dir}/d3dx10_*.dll
/usr/lib/wine/%{winepe32dir}/d3dx11_42.dll
/usr/lib/wine/%{winepe32dir}/d3dx11_43.dll
/usr/lib/wine/%{winepe32dir}/d3dx9_*.dll
/usr/lib/wine/%{winepe32dir}/d3dxof.dll
/usr/lib/wine/%{winepe32dir}/dataexchange.dll
/usr/lib/wine/%{winepe32dir}/davclnt.dll
/usr/lib/wine/%{winepe32dir}/dbgeng.dll
/usr/lib/wine/%{winepe32dir}/dbghelp.dll
/usr/lib/wine/%{winepe32dir}/dciman32.dll
/usr/lib/wine/%{winepe32dir}/dcomp.dll
/usr/lib/wine/%{winepe32dir}/ddraw.dll
/usr/lib/wine/%{winepe32dir}/ddrawex.dll
/usr/lib/wine/%{winepe32dir}/desk.cpl
/usr/lib/wine/%{winepe32dir}/devenum.dll
/usr/lib/wine/%{winepe32dir}/dhcpcsvc.dll
/usr/lib/wine/%{winepe32dir}/dhcpcsvc6.dll
/usr/lib/wine/%{winepe32dir}/dhtmled.ocx
/usr/lib/wine/%{winepe32dir}/diasymreader.dll
/usr/lib/wine/%{winepe32dir}/difxapi.dll
/usr/lib/wine/%{winepe32dir}/dinput.dll
/usr/lib/wine/%{winepe32dir}/dinput8.dll
/usr/lib/wine/%{winepe32dir}/directmanipulation.dll
/usr/lib/wine/%{winepe32dir}/dispex.dll
/usr/lib/wine/%{winepe32dir}/dmband.dll
/usr/lib/wine/%{winepe32dir}/dmcompos.dll
/usr/lib/wine/%{winepe32dir}/dmime.dll
/usr/lib/wine/%{winepe32dir}/dmloader.dll
/usr/lib/wine/%{winepe32dir}/dmscript.dll
/usr/lib/wine/%{winepe32dir}/dmstyle.dll
/usr/lib/wine/%{winepe32dir}/dmsynth.dll
/usr/lib/wine/%{winepe32dir}/dmusic.dll
/usr/lib/wine/%{winepe32dir}/dmusic32.dll
/usr/lib/wine/%{winepe32dir}/dnsapi.dll
/usr/lib/wine/%{wineso32dir}/dnsapi.so
/usr/lib/wine/%{winepe32dir}/dplay.dll
/usr/lib/wine/%{winepe32dir}/dplayx.dll
/usr/lib/wine/%{winepe32dir}/dpnaddr.dll
/usr/lib/wine/%{winepe32dir}/dpnet.dll
/usr/lib/wine/%{winepe32dir}/dpnhpast.dll
/usr/lib/wine/%{winepe32dir}/dpnhupnp.dll
/usr/lib/wine/%{winepe32dir}/dpnlobby.dll
/usr/lib/wine/%{winepe32dir}/dpvoice.dll
/usr/lib/wine/%{winepe32dir}/dpwsockx.dll
/usr/lib/wine/%{winepe32dir}/drmclien.dll
/usr/lib/wine/%{winepe32dir}/dsdmo.dll
/usr/lib/wine/%{winepe32dir}/dsound.dll
/usr/lib/wine/%{winepe32dir}/dsquery.dll
/usr/lib/wine/%{winepe32dir}/dssenh.dll
/usr/lib/wine/%{winepe32dir}/dsuiext.dll
/usr/lib/wine/%{winepe32dir}/dswave.dll
/usr/lib/wine/%{winepe32dir}/dwmapi.dll
/usr/lib/wine/%{winepe32dir}/dwrite.dll
/usr/lib/wine/%{wineso32dir}/dwrite.so
/usr/lib/wine/%{winepe32dir}/dx8vb.dll
/usr/lib/wine/%{winepe32dir}/dxcore.dll
/usr/lib/wine/%{winepe32dir}/dxdiagn.dll
/usr/lib/wine/%{winepe32dir}/dxgi.dll
#%%{_libdir}/wine/%%{winepe32dir}/wine-dxgi.dll
%if 0%{?wine_staging}
/usr/lib/wine/%{winepe32dir}/dxgkrnl.sys
/usr/lib/wine/%{winepe32dir}/dxgmms1.sys
%endif
/usr/lib/wine/%{winepe32dir}/dxtrans.dll
/usr/lib/wine/%{winepe32dir}/dxva2.dll
/usr/lib/wine/%{winepe32dir}/esent.dll
/usr/lib/wine/%{winepe32dir}/evr.dll
/usr/lib/wine/%{winepe32dir}/explorerframe.dll
/usr/lib/wine/%{winepe32dir}/faultrep.dll
/usr/lib/wine/%{winepe32dir}/feclient.dll
/usr/lib/wine/%{winepe32dir}/fltlib.dll
/usr/lib/wine/%{winepe32dir}/fltmgr.sys
/usr/lib/wine/%{winepe32dir}/fntcache.dll
/usr/lib/wine/%{winepe32dir}/fontsub.dll
/usr/lib/wine/%{winepe32dir}/fusion.dll
/usr/lib/wine/%{winepe32dir}/fwpuclnt.dll
/usr/lib/wine/%{winepe32dir}/gameux.dll
/usr/lib/wine/%{winepe32dir}/gamingtcui.dll
/usr/lib/wine/%{winepe32dir}/gdi32.dll
/usr/lib/wine/%{winepe32dir}/gdiplus.dll
/usr/lib/wine/%{winepe32dir}/geolocation.dll
/usr/lib/wine/%{winepe32dir}/glu32.dll
/usr/lib/wine/%{winepe32dir}/gphoto2.ds
/usr/lib/wine/%{wineso32dir}/gphoto2.so
/usr/lib/wine/%{winepe32dir}/gpkcsp.dll
/usr/lib/wine/%{winepe32dir}/graphicscapture.dll
/usr/lib/wine/%{winepe32dir}/hal.dll
/usr/lib/wine/%{winepe32dir}/hhctrl.ocx
/usr/lib/wine/%{winepe32dir}/hid.dll
/usr/lib/wine/%{winepe32dir}/hidclass.sys
/usr/lib/wine/%{winepe32dir}/hidparse.sys
/usr/lib/wine/%{winepe32dir}/hlink.dll
/usr/lib/wine/%{winepe32dir}/hnetcfg.dll
/usr/lib/wine/%{winepe32dir}/hrtfapo.dll
/usr/lib/wine/%{winepe32dir}/http.sys
/usr/lib/wine/%{winepe32dir}/httpapi.dll
/usr/lib/wine/%{winepe32dir}/hvsimanagementapi.dll
/usr/lib/wine/%{winepe32dir}/ia2comproxy.dll
/usr/lib/wine/%{winepe32dir}/iccvid.dll
/usr/lib/wine/%{winepe32dir}/icmp.dll
/usr/lib/wine/%{winepe32dir}/icmui.dll
/usr/lib/wine/%{winepe32dir}/ieframe.dll
/usr/lib/wine/%{winepe32dir}/ieproxy.dll
/usr/lib/wine/%{winepe32dir}/iertutil.dll
/usr/lib/wine/%{winepe32dir}/imaadp32.acm
/usr/lib/wine/%{winepe32dir}/imagehlp.dll
/usr/lib/wine/%{winepe32dir}/imm32.dll
/usr/lib/wine/%{winepe32dir}/inetcomm.dll
/usr/lib/wine/%{winepe32dir}/inetcpl.cpl
/usr/lib/wine/%{winepe32dir}/inetmib1.dll
/usr/lib/wine/%{winepe32dir}/infosoft.dll
/usr/lib/wine/%{winepe32dir}/initpki.dll
/usr/lib/wine/%{winepe32dir}/inkobj.dll
/usr/lib/wine/%{winepe32dir}/inseng.dll
/usr/lib/wine/%{winepe32dir}/iphlpapi.dll
/usr/lib/wine/%{winepe32dir}/iprop.dll
/usr/lib/wine/%{winepe32dir}/ir50_32.dll
/usr/lib/wine/%{winepe32dir}/irprops.cpl
/usr/lib/wine/%{winepe32dir}/itircl.dll
/usr/lib/wine/%{winepe32dir}/itss.dll
/usr/lib/wine/%{winepe32dir}/joy.cpl
/usr/lib/wine/%{winepe32dir}/jscript.dll
/usr/lib/wine/%{winepe32dir}/jsproxy.dll
/usr/lib/wine/%{winepe32dir}/kerberos.dll
/usr/lib/wine/%{wineso32dir}/kerberos.so
/usr/lib/wine/%{winepe32dir}/kernel32.dll
/usr/lib/wine/%{winepe32dir}/kernelbase.dll
/usr/lib/wine/%{winepe32dir}/ksecdd.sys
/usr/lib/wine/%{winepe32dir}/ksproxy.ax
/usr/lib/wine/%{winepe32dir}/ksuser.dll
/usr/lib/wine/%{winepe32dir}/ktmw32.dll
/usr/lib/wine/%{winepe32dir}/l3codeca.acm
/usr/lib/wine/%{winepe32dir}/l3codecx.ax
/usr/lib/wine/%{winepe32dir}/light.msstyles
/usr/lib/wine/%{winepe32dir}/loadperf.dll
/usr/lib/wine/%{winepe32dir}/localspl.dll
/usr/lib/wine/%{wineso32dir}/localspl.so
/usr/lib/wine/%{winepe32dir}/localui.dll
/usr/lib/wine/%{winepe32dir}/lz32.dll
/usr/lib/wine/%{winepe32dir}/magnification.dll
/usr/lib/wine/%{winepe32dir}/mapi32.dll
/usr/lib/wine/%{winepe32dir}/mapistub.dll
/usr/lib/wine/%{winepe32dir}/mciavi32.dll
/usr/lib/wine/%{winepe32dir}/mcicda.dll
/usr/lib/wine/%{winepe32dir}/mciqtz32.dll
/usr/lib/wine/%{winepe32dir}/mciseq.dll
/usr/lib/wine/%{winepe32dir}/mciwave.dll
/usr/lib/wine/%{winepe32dir}/mf.dll
/usr/lib/wine/%{winepe32dir}/mf3216.dll
/usr/lib/wine/%{winepe32dir}/mfasfsrcsnk.dll
/usr/lib/wine/%{winepe32dir}/mferror.dll
/usr/lib/wine/%{winepe32dir}/mfh264enc.dll
/usr/lib/wine/%{winepe32dir}/mfmediaengine.dll
/usr/lib/wine/%{winepe32dir}/mfmp4srcsnk.dll
/usr/lib/wine/%{winepe32dir}/mfplat.dll
/usr/lib/wine/%{winepe32dir}/mfplay.dll
/usr/lib/wine/%{winepe32dir}/mfreadwrite.dll
/usr/lib/wine/%{winepe32dir}/mfsrcsnk.dll
/usr/lib/wine/%{winepe32dir}/mgmtapi.dll
/usr/lib/wine/%{winepe32dir}/midimap.dll
/usr/lib/wine/%{winepe32dir}/mlang.dll
/usr/lib/wine/%{winepe32dir}/mmcndmgr.dll
/usr/lib/wine/%{winepe32dir}/mmdevapi.dll
/usr/lib/wine/%{winepe32dir}/mouhid.sys
/usr/lib/wine/%{winepe32dir}/mountmgr.sys
/usr/lib/wine/%{wineso32dir}/mountmgr.so
/usr/lib/wine/%{winepe32dir}/mp3dmod.dll
/usr/lib/wine/%{winepe32dir}/mpr.dll
/usr/lib/wine/%{winepe32dir}/mprapi.dll
/usr/lib/wine/%{winepe32dir}/msacm32.dll
/usr/lib/wine/%{winepe32dir}/msacm32.drv
/usr/lib/wine/%{winepe32dir}/msado15.dll
/usr/lib/wine/%{winepe32dir}/msadp32.acm
/usr/lib/wine/%{winepe32dir}/msasn1.dll
/usr/lib/wine/%{winepe32dir}/msauddecmft.dll
/usr/lib/wine/%{winepe32dir}/mscat32.dll
/usr/lib/wine/%{winepe32dir}/mscoree.dll
/usr/lib/wine/%{winepe32dir}/mscorwks.dll
/usr/lib/wine/%{winepe32dir}/msctf.dll
/usr/lib/wine/%{winepe32dir}/msctfmonitor.dll
/usr/lib/wine/%{winepe32dir}/msctfp.dll
/usr/lib/wine/%{winepe32dir}/msdaps.dll
/usr/lib/wine/%{winepe32dir}/msdasql.dll
/usr/lib/wine/%{winepe32dir}/msdelta.dll
/usr/lib/wine/%{winepe32dir}/msdmo.dll
/usr/lib/wine/%{winepe32dir}/msdrm.dll
/usr/lib/wine/%{winepe32dir}/msftedit.dll
/usr/lib/wine/%{winepe32dir}/msg711.acm
/usr/lib/wine/%{winepe32dir}/msgsm32.acm
/usr/lib/wine/%{winepe32dir}/mshtml.dll
/usr/lib/wine/%{winepe32dir}/mshtml.tlb
/usr/lib/wine/%{winepe32dir}/msi.dll
/usr/lib/wine/%{winepe32dir}/msident.dll
/usr/lib/wine/%{winepe32dir}/msimg32.dll
/usr/lib/wine/%{winepe32dir}/msimsg.dll
/usr/lib/wine/%{winepe32dir}/msimtf.dll
/usr/lib/wine/%{winepe32dir}/msisip.dll
/usr/lib/wine/%{winepe32dir}/msisys.ocx
/usr/lib/wine/%{winepe32dir}/msls31.dll
/usr/lib/wine/%{winepe32dir}/msmpeg2vdec.dll
/usr/lib/wine/%{winepe32dir}/msnet32.dll
/usr/lib/wine/%{winepe32dir}/mspatcha.dll
/usr/lib/wine/%{winepe32dir}/msports.dll
/usr/lib/wine/%{winepe32dir}/msrle32.dll
/usr/lib/wine/%{winepe32dir}/msscript.ocx
/usr/lib/wine/%{winepe32dir}/mssign32.dll
/usr/lib/wine/%{winepe32dir}/mssip32.dll
/usr/lib/wine/%{winepe32dir}/mstask.dll
/usr/lib/wine/%{winepe32dir}/msttsengine.dll
/usr/lib/wine/%{winepe32dir}/msv1_0.dll
/usr/lib/wine/%{wineso32dir}/msv1_0.so
/usr/lib/wine/%{winepe32dir}/msvcirt.dll
/usr/lib/wine/%{winepe32dir}/msvcm80.dll
/usr/lib/wine/%{winepe32dir}/msvcm90.dll
/usr/lib/wine/%{winepe32dir}/msvcp100.dll
/usr/lib/wine/%{winepe32dir}/msvcp110.dll
/usr/lib/wine/%{winepe32dir}/msvcp120.dll
/usr/lib/wine/%{winepe32dir}/msvcp120_app.dll
/usr/lib/wine/%{winepe32dir}/msvcp140.dll
/usr/lib/wine/%{winepe32dir}/msvcp140_1.dll
/usr/lib/wine/%{winepe32dir}/msvcp140_2.dll
/usr/lib/wine/%{winepe32dir}/msvcp140_atomic_wait.dll
/usr/lib/wine/%{winepe32dir}/msvcp140_codecvt_ids.dll
/usr/lib/wine/%{winepe32dir}/msvcp60.dll
/usr/lib/wine/%{winepe32dir}/msvcp70.dll
/usr/lib/wine/%{winepe32dir}/msvcp71.dll
/usr/lib/wine/%{winepe32dir}/msvcp80.dll
/usr/lib/wine/%{winepe32dir}/msvcp90.dll
/usr/lib/wine/%{winepe32dir}/msvcp_win.dll
/usr/lib/wine/%{winepe32dir}/msvcr100.dll
/usr/lib/wine/%{winepe32dir}/msvcr110.dll
/usr/lib/wine/%{winepe32dir}/msvcr120.dll
/usr/lib/wine/%{winepe32dir}/msvcr120_app.dll
/usr/lib/wine/%{winepe32dir}/msvcr70.dll
/usr/lib/wine/%{winepe32dir}/msvcr71.dll
/usr/lib/wine/%{winepe32dir}/msvcr80.dll
/usr/lib/wine/%{winepe32dir}/msvcr90.dll
/usr/lib/wine/%{winepe32dir}/msvcrt.dll
/usr/lib/wine/%{winepe32dir}/msvcrt20.dll
/usr/lib/wine/%{winepe32dir}/msvcrt40.dll
/usr/lib/wine/%{winepe32dir}/msvcrtd.dll
/usr/lib/wine/%{winepe32dir}/msvfw32.dll
/usr/lib/wine/%{winepe32dir}/msvidc32.dll
/usr/lib/wine/%{winepe32dir}/msvproc.dll
/usr/lib/wine/%{winepe32dir}/mswsock.dll
/usr/lib/wine/%{winepe32dir}/msxml.dll
/usr/lib/wine/%{winepe32dir}/msxml2.dll
/usr/lib/wine/%{winepe32dir}/msxml3.dll
/usr/lib/wine/%{winepe32dir}/msxml4.dll
/usr/lib/wine/%{winepe32dir}/msxml6.dll
/usr/lib/wine/%{winepe32dir}/mtxdm.dll
/usr/lib/wine/%{winepe32dir}/ncrypt.dll
/usr/lib/wine/%{winepe32dir}/nddeapi.dll
/usr/lib/wine/%{winepe32dir}/ndis.sys
/usr/lib/wine/%{winepe32dir}/netapi32.dll
/usr/lib/wine/%{wineso32dir}/netapi32.so
/usr/lib/wine/%{winepe32dir}/netcfgx.dll
/usr/lib/wine/%{winepe32dir}/netio.sys
/usr/lib/wine/%{winepe32dir}/netprofm.dll
/usr/lib/wine/%{winepe32dir}/netutils.dll
/usr/lib/wine/%{winepe32dir}/newdev.dll
/usr/lib/wine/%{winepe32dir}/ninput.dll
/usr/lib/wine/%{winepe32dir}/normaliz.dll
/usr/lib/wine/%{winepe32dir}/npmshtml.dll
/usr/lib/wine/%{winepe32dir}/npptools.dll
/usr/lib/wine/%{winepe32dir}/nsi.dll
/usr/lib/wine/%{winepe32dir}/nsiproxy.sys
/usr/lib/wine/%{wineso32dir}/nsiproxy.so
/usr/lib/wine/%{winepe32dir}/ntdll.dll
/usr/lib/wine/%{wineso32dir}/ntdll.so
/usr/lib/wine/%{winepe32dir}/ntdsapi.dll
/usr/lib/wine/%{winepe32dir}/ntprint.dll
#%%if 0%%{?wine_staging}
#%%{_libdir}/wine/%%{winepe32dir}/nvcuda.dll
#%%{_libdir}/wine/%%{winesodir}/nvcuda.dll.so
#%%{_libdir}/wine/%%{winepe32dir}/nvcuvid.dll
#%%{_libdir}/wine/%%{winesodir}/nvcuvid.dll.so
#%%endif
/usr/lib/wine/%{winepe32dir}/objsel.dll
/usr/lib/wine/%{winepe32dir}/odbc32.dll
/usr/lib/wine/%{wineso32dir}/odbc32.so
/usr/lib/wine/%{winepe32dir}/odbcbcp.dll
/usr/lib/wine/%{winepe32dir}/odbccp32.dll
/usr/lib/wine/%{winepe32dir}/odbccu32.dll
/usr/lib/wine/%{winepe32dir}/ole32.dll
/usr/lib/wine/%{winepe32dir}/oleacc.dll
/usr/lib/wine/%{winepe32dir}/oleaut32.dll
/usr/lib/wine/%{winepe32dir}/olecli32.dll
/usr/lib/wine/%{winepe32dir}/oledb32.dll
/usr/lib/wine/%{winepe32dir}/oledlg.dll
/usr/lib/wine/%{winepe32dir}/olepro32.dll
/usr/lib/wine/%{winepe32dir}/olesvr32.dll
/usr/lib/wine/%{winepe32dir}/olethk32.dll
/usr/lib/wine/%{winepe32dir}/opcservices.dll
/usr/lib/wine/%{winepe32dir}/opengl32.dll
/usr/lib/wine/%{wineso32dir}/opengl32.so
/usr/lib/wine/%{winepe32dir}/packager.dll
/usr/lib/wine/%{winepe32dir}/pdh.dll
/usr/lib/wine/%{winepe32dir}/photometadatahandler.dll
/usr/lib/wine/%{winepe32dir}/pidgen.dll
/usr/lib/wine/%{winepe32dir}/powrprof.dll
/usr/lib/wine/%{winepe32dir}/printui.dll
/usr/lib/wine/%{winepe32dir}/prntvpt.dll
/usr/lib/wine/%{winepe32dir}/profapi.dll
/usr/lib/wine/%{winepe32dir}/propsys.dll
/usr/lib/wine/%{winepe32dir}/psapi.dll
/usr/lib/wine/%{winepe32dir}/pstorec.dll
/usr/lib/wine/%{winepe32dir}/pwrshplugin.dll
/usr/lib/wine/%{winepe32dir}/qasf.dll
/usr/lib/wine/%{winepe32dir}/qcap.dll
/usr/lib/wine/%{wineso32dir}/qcap.so
/usr/lib/wine/%{winepe32dir}/qdvd.dll
/usr/lib/wine/%{winepe32dir}/qedit.dll
/usr/lib/wine/%{winepe32dir}/qmgr.dll
/usr/lib/wine/%{winepe32dir}/qmgrprxy.dll
/usr/lib/wine/%{winepe32dir}/quartz.dll
/usr/lib/wine/%{winepe32dir}/query.dll
/usr/lib/wine/%{winepe32dir}/qwave.dll
/usr/lib/wine/%{winepe32dir}/rasapi32.dll
/usr/lib/wine/%{winepe32dir}/rasdlg.dll
/usr/lib/wine/%{winepe32dir}/regapi.dll
/usr/lib/wine/%{winepe32dir}/resampledmo.dll
/usr/lib/wine/%{winepe32dir}/resutils.dll
/usr/lib/wine/%{winepe32dir}/riched20.dll
/usr/lib/wine/%{winepe32dir}/riched32.dll
/usr/lib/wine/%{winepe32dir}/rometadata.dll
/usr/lib/wine/%{winepe32dir}/rpcrt4.dll
/usr/lib/wine/%{winepe32dir}/rsabase.dll
/usr/lib/wine/%{winepe32dir}/rsaenh.dll
/usr/lib/wine/%{winepe32dir}/rstrtmgr.dll
/usr/lib/wine/%{winepe32dir}/rtutils.dll
/usr/lib/wine/%{winepe32dir}/rtworkq.dll
/usr/lib/wine/%{winepe32dir}/samlib.dll
/usr/lib/wine/%{winepe32dir}/sapi.dll
/usr/lib/wine/%{winepe32dir}/sas.dll
/usr/lib/wine/%{winepe32dir}/scarddlg.dll
/usr/lib/wine/%{winepe32dir}/scardsvr.dll
/usr/lib/wine/%{winepe32dir}/sccbase.dll
/usr/lib/wine/%{winepe32dir}/schannel.dll
/usr/lib/wine/%{winepe32dir}/schedsvc.dll
/usr/lib/wine/%{winepe32dir}/scrobj.dll
/usr/lib/wine/%{winepe32dir}/scrrun.dll
/usr/lib/wine/%{winepe32dir}/scsiport.sys
/usr/lib/wine/%{winepe32dir}/sechost.dll
/usr/lib/wine/%{winepe32dir}/secur32.dll
/usr/lib/wine/%{wineso32dir}/secur32.so
/usr/lib/wine/%{winepe32dir}/security.dll
/usr/lib/wine/%{winepe32dir}/sensapi.dll
/usr/lib/wine/%{winepe32dir}/serialui.dll
/usr/lib/wine/%{winepe32dir}/setupapi.dll
/usr/lib/wine/%{winepe32dir}/sfc.dll
/usr/lib/wine/%{winepe32dir}/sfc_os.dll
/usr/lib/wine/%{winepe32dir}/shcore.dll
/usr/lib/wine/%{winepe32dir}/shdoclc.dll
/usr/lib/wine/%{winepe32dir}/shdocvw.dll
/usr/lib/wine/%{winepe32dir}/shell32.dll
/usr/lib/wine/%{winepe32dir}/shfolder.dll
/usr/lib/wine/%{winepe32dir}/shlwapi.dll
/usr/lib/wine/%{winepe32dir}/slbcsp.dll
/usr/lib/wine/%{winepe32dir}/slc.dll
/usr/lib/wine/%{winepe32dir}/snmpapi.dll
/usr/lib/wine/%{winepe32dir}/softpub.dll
/usr/lib/wine/%{winepe32dir}/sppc.dll
/usr/lib/wine/%{winepe32dir}/srclient.dll
/usr/lib/wine/%{winepe32dir}/srvcli.dll
/usr/lib/wine/%{winepe32dir}/srvsvc.dll
/usr/lib/wine/%{winepe32dir}/sspicli.dll
/usr/lib/wine/%{winepe32dir}/stdole2.tlb
/usr/lib/wine/%{winepe32dir}/stdole32.tlb
/usr/lib/wine/%{winepe32dir}/sti.dll
/usr/lib/wine/%{winepe32dir}/strmdll.dll
/usr/lib/wine/%{winepe32dir}/svrapi.dll
/usr/lib/wine/%{winepe32dir}/sxs.dll
/usr/lib/wine/%{winepe32dir}/t2embed.dll
/usr/lib/wine/%{winepe32dir}/tapi32.dll
/usr/lib/wine/%{winepe32dir}/taskschd.dll
/usr/lib/wine/%{winepe32dir}/tbs.dll
/usr/lib/wine/%{winepe32dir}/tdh.dll
/usr/lib/wine/%{winepe32dir}/tdi.sys
/usr/lib/wine/%{winepe32dir}/threadpoolwinrt.dll
/usr/lib/wine/%{winepe32dir}/traffic.dll
/usr/lib/wine/%{winepe32dir}/twinapi.appcore.dll
/usr/lib/wine/%{winepe32dir}/tzres.dll
/usr/lib/wine/%{winepe32dir}/ucrtbase.dll
/usr/lib/wine/%{winepe32dir}/uianimation.dll
/usr/lib/wine/%{winepe32dir}/uiautomationcore.dll
/usr/lib/wine/%{winepe32dir}/uiribbon.dll
/usr/lib/wine/%{winepe32dir}/unicows.dll
/usr/lib/wine/%{winepe32dir}/updspapi.dll
/usr/lib/wine/%{winepe32dir}/url.dll
/usr/lib/wine/%{winepe32dir}/urlmon.dll
/usr/lib/wine/%{winepe32dir}/usbd.sys
/usr/lib/wine/%{winepe32dir}/user32.dll
/usr/lib/wine/%{winepe32dir}/userenv.dll
/usr/lib/wine/%{winepe32dir}/usp10.dll
/usr/lib/wine/%{winepe32dir}/utildll.dll
/usr/lib/wine/%{winepe32dir}/uxtheme.dll
/usr/lib/wine/%{winepe32dir}/vbscript.dll
/usr/lib/wine/%{winepe32dir}/vcomp.dll
/usr/lib/wine/%{winepe32dir}/vcomp100.dll
/usr/lib/wine/%{winepe32dir}/vcomp110.dll
/usr/lib/wine/%{winepe32dir}/vcomp120.dll
/usr/lib/wine/%{winepe32dir}/vcomp140.dll
/usr/lib/wine/%{winepe32dir}/vcomp90.dll
/usr/lib/wine/%{winepe32dir}/vcruntime140.dll
#%%{_libdir}/wine/%%{winepe32dir}/vcruntime140_1.dll
/usr/lib/wine/%{winepe32dir}/vdmdbg.dll
/usr/lib/wine/%{winepe32dir}/version.dll
/usr/lib/wine/%{winepe32dir}/vga.dll
/usr/lib/wine/%{winepe32dir}/virtdisk.dll
/usr/lib/wine/%{winepe32dir}/vssapi.dll
/usr/lib/wine/%{winepe32dir}/vulkan-1.dll
/usr/lib/wine/%{winepe32dir}/wbemdisp.dll
/usr/lib/wine/%{winepe32dir}/wbemprox.dll
/usr/lib/wine/%{winepe32dir}/wdscore.dll
/usr/lib/wine/%{winepe32dir}/webservices.dll
/usr/lib/wine/%{winepe32dir}/websocket.dll
/usr/lib/wine/%{winepe32dir}/wer.dll
/usr/lib/wine/%{winepe32dir}/wevtapi.dll
/usr/lib/wine/%{winepe32dir}/wevtsvc.dll
/usr/lib/wine/%{winepe32dir}/wiaservc.dll
/usr/lib/wine/%{winepe32dir}/wimgapi.dll
%if 0%{?wine_staging}
/usr/lib/wine/%{winepe32dir}/win32k.sys
%endif
/usr/lib/wine/%{winepe32dir}/win32u.dll
/usr/lib/wine/%{wineso32dir}/win32u.so
/usr/lib/wine/%{winepe32dir}/windows.applicationmodel.dll
/usr/lib/wine/%{winepe32dir}/windows.devices.bluetooth.dll
/usr/lib/wine/%{winepe32dir}/windows.devices.enumeration.dll
/usr/lib/wine/%{winepe32dir}/windows.devices.usb.dll
/usr/lib/wine/%{winepe32dir}/windows.gaming.input.dll
/usr/lib/wine/%{winepe32dir}/windows.gaming.ui.gamebar.dll
/usr/lib/wine/%{winepe32dir}/windows.globalization.dll
/usr/lib/wine/%{winepe32dir}/windows.media.dll
/usr/lib/wine/%{winepe32dir}/windows.media.devices.dll
/usr/lib/wine/%{winepe32dir}/windows.media.mediacontrol.dll
/usr/lib/wine/%{winepe32dir}/windows.media.speech.dll
/usr/lib/wine/%{winepe32dir}/windows.networking.connectivity.dll
/usr/lib/wine/%{winepe32dir}/windows.networking.dll
/usr/lib/wine/%{winepe32dir}/windows.networking.hostname.dll
/usr/lib/wine/%{winepe32dir}/windows.perception.stub.dll
/usr/lib/wine/%{winepe32dir}/windows.security.authentication.onlineid.dll
/usr/lib/wine/%{winepe32dir}/windows.security.credentials.ui.userconsentverifier.dll
/usr/lib/wine/%{winepe32dir}/windows.storage.applicationdata.dll
/usr/lib/wine/%{winepe32dir}/windows.storage.dll
/usr/lib/wine/%{winepe32dir}/windows.system.profile.systemid.dll
/usr/lib/wine/%{winepe32dir}/windows.system.profile.systemmanufacturers.dll
/usr/lib/wine/%{winepe32dir}/windows.ui.dll
/usr/lib/wine/%{winepe32dir}/windows.ui.xaml.dll
/usr/lib/wine/%{winepe32dir}/windows.web.dll
/usr/lib/wine/%{winepe32dir}/windowscodecs.dll
/usr/lib/wine/%{winepe32dir}/windowscodecsext.dll
/usr/lib/wine/%{wineso32dir}/wine
/usr/lib/wine/%{wineso32dir}/wine-preloader
/usr/lib/wine/%{wineso32dir}/winebth.so
/usr/lib/wine/%{winepe32dir}/winebth.sys
/usr/lib/wine/%{wineso32dir}/winebus.so
/usr/lib/wine/%{winepe32dir}/winebus.sys
/usr/lib/wine/%{winepe32dir}/wined3d.dll
/usr/lib/wine/%{winepe32dir}/winedmo.dll
/usr/lib/wine/%{wineso32dir}/winedmo.so
/usr/lib/wine/%{winepe32dir}/winegstreamer.dll
/usr/lib/wine/%{wineso32dir}/winegstreamer.so
/usr/lib/wine/%{winepe32dir}/winehid.sys
/usr/lib/wine/%{winepe32dir}/winemapi.dll
/usr/lib/wine/%{winepe32dir}/wineps.drv
/usr/lib/wine/%{wineso32dir}/wineps.so
/usr/lib/wine/%{wineso32dir}/wineusb.so
/usr/lib/wine/%{winepe32dir}/wineusb.sys
/usr/lib/wine/%{winepe32dir}/winevulkan.dll
/usr/lib/wine/%{wineso32dir}/winevulkan.so
/usr/lib/wine/%{winepe32dir}/winewayland.drv
/usr/lib/wine/%{wineso32dir}/winewayland.so
/usr/lib/wine/%{winepe32dir}/winex11.drv
/usr/lib/wine/%{wineso32dir}/winex11.so
/usr/lib/wine/%{winepe32dir}/winexinput.sys
/usr/lib/wine/%{winepe32dir}/wing32.dll
/usr/lib/wine/%{winepe32dir}/winhttp.dll
/usr/lib/wine/%{winepe32dir}/wininet.dll
/usr/lib/wine/%{winepe32dir}/winmm.dll
/usr/lib/wine/%{winepe32dir}/winnls32.dll
/usr/lib/wine/%{winepe32dir}/winprint.dll
/usr/lib/wine/%{winepe32dir}/winspool.drv
/usr/lib/wine/%{wineso32dir}/winspool.so
/usr/lib/wine/%{winepe32dir}/winsta.dll
/usr/lib/wine/%{winepe32dir}/wintypes.dll
/usr/lib/wine/%{winepe32dir}/wldp.dll
/usr/lib/wine/%{winepe32dir}/wmadmod.dll
/usr/lib/wine/%{winepe32dir}/wmasf.dll
/usr/lib/wine/%{winepe32dir}/wmi.dll
/usr/lib/wine/%{winepe32dir}/wmilib.sys
/usr/lib/wine/%{winepe32dir}/wmiutils.dll
/usr/lib/wine/%{winepe32dir}/wmp.dll
/usr/lib/wine/%{winepe32dir}/wmvcore.dll
/usr/lib/wine/%{winepe32dir}/wmvdecod.dll
/usr/lib/wine/%{winepe32dir}/spoolss.dll
/usr/lib/wine/%{winepe32dir}/wintab32.dll
/usr/lib/wine/%{winepe32dir}/wintrust.dll
/usr/lib/wine/%{winepe32dir}/winusb.dll
/usr/lib/wine/%{winepe32dir}/wlanapi.dll
/usr/lib/wine/%{winepe32dir}/wlanui.dll
/usr/lib/wine/%{winepe32dir}/wmphoto.dll
/usr/lib/wine/%{winepe32dir}/wnaspi32.dll
/usr/lib/wine/%{winepe32dir}/wofutil.dll
/usr/lib/wine/%{winepe32dir}/wpc.dll
/usr/lib/wine/%{winepe32dir}/wpcap.dll
/usr/lib/wine/%{wineso32dir}/wpcap.so
/usr/lib/wine/%{winepe32dir}/ws2_32.dll
/usr/lib/wine/%{wineso32dir}/ws2_32.so
/usr/lib/wine/%{winepe32dir}/wsdapi.dll
/usr/lib/wine/%{winepe32dir}/wshom.ocx
/usr/lib/wine/%{winepe32dir}/wsnmp32.dll
/usr/lib/wine/%{winepe32dir}/wsock32.dll
/usr/lib/wine/%{winepe32dir}/wtsapi32.dll
/usr/lib/wine/%{winepe32dir}/wuapi.dll
/usr/lib/wine/%{winepe32dir}/wuaueng.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_0.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_1.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_2.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_3.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_4.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_5.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_6.dll
/usr/lib/wine/%{winepe32dir}/x3daudio1_7.dll
/usr/lib/wine/%{winepe32dir}/xactengine2_0.dll
/usr/lib/wine/%{winepe32dir}/xactengine2_4.dll
/usr/lib/wine/%{winepe32dir}/xactengine2_7.dll
/usr/lib/wine/%{winepe32dir}/xactengine2_9.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_0.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_1.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_2.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_3.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_4.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_5.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_6.dll
/usr/lib/wine/%{winepe32dir}/xactengine3_7.dll
/usr/lib/wine/%{winepe32dir}/xapofx1_1.dll
/usr/lib/wine/%{winepe32dir}/xapofx1_2.dll
/usr/lib/wine/%{winepe32dir}/xapofx1_3.dll
/usr/lib/wine/%{winepe32dir}/xapofx1_4.dll
/usr/lib/wine/%{winepe32dir}/xapofx1_5.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_0.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_1.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_2.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_3.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_4.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_5.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_6.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_7.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_8.dll
/usr/lib/wine/%{winepe32dir}/xaudio2_9.dll
/usr/lib/wine/%{winepe32dir}/xinput1_1.dll
/usr/lib/wine/%{winepe32dir}/xinput1_2.dll
/usr/lib/wine/%{winepe32dir}/xinput1_3.dll
/usr/lib/wine/%{winepe32dir}/xinput1_4.dll
/usr/lib/wine/%{winepe32dir}/xinput9_1_0.dll
/usr/lib/wine/%{winepe32dir}/xinputuap.dll
/usr/lib/wine/%{winepe32dir}/xmllite.dll
/usr/lib/wine/%{winepe32dir}/xolehlp.dll
/usr/lib/wine/%{winepe32dir}/xpsprint.dll
/usr/lib/wine/%{winepe32dir}/xpssvcs.dll
# end core 32bit dlls

# 16 bit and other non 64bit stuff
/usr/lib/wine/%{winepe32dir}/winevdm.exe
/usr/lib/wine/%{winepe32dir}/ifsmgr.vxd
/usr/lib/wine/%{winepe32dir}/mmdevldr.vxd
/usr/lib/wine/%{winepe32dir}/monodebg.vxd
/usr/lib/wine/%{winepe32dir}/rundll.exe16
/usr/lib/wine/%{winepe32dir}/vdhcp.vxd
/usr/lib/wine/%{winepe32dir}/user.exe16
/usr/lib/wine/%{winepe32dir}/vmm.vxd
/usr/lib/wine/%{winepe32dir}/vnbt.vxd
/usr/lib/wine/%{winepe32dir}/vnetbios.vxd
/usr/lib/wine/%{winepe32dir}/vtdapi.vxd
/usr/lib/wine/%{winepe32dir}/vwin32.vxd
/usr/lib/wine/%{winepe32dir}/w32skrnl.dll
/usr/lib/wine/%{winepe32dir}/avifile.dll16
/usr/lib/wine/%{winepe32dir}/comm.drv16
/usr/lib/wine/%{winepe32dir}/commdlg.dll16
/usr/lib/wine/%{winepe32dir}/compobj.dll16
/usr/lib/wine/%{winepe32dir}/ctl3d.dll16
/usr/lib/wine/%{winepe32dir}/ctl3dv2.dll16
/usr/lib/wine/%{winepe32dir}/ddeml.dll16
/usr/lib/wine/%{winepe32dir}/dispdib.dll16
/usr/lib/wine/%{winepe32dir}/display.drv16
/usr/lib/wine/%{winepe32dir}/gdi.exe16
/usr/lib/wine/%{winepe32dir}/imm.dll16
/usr/lib/wine/%{winepe32dir}/krnl386.exe16
/usr/lib/wine/%{winepe32dir}/keyboard.drv16
/usr/lib/wine/%{winepe32dir}/lzexpand.dll16
/usr/lib/wine/%{winepe32dir}/mmsystem.dll16
/usr/lib/wine/%{winepe32dir}/mouse.drv16
/usr/lib/wine/%{winepe32dir}/msacm.dll16
/usr/lib/wine/%{winepe32dir}/msvideo.dll16
/usr/lib/wine/%{winepe32dir}/ole2.dll16
/usr/lib/wine/%{winepe32dir}/ole2conv.dll16
/usr/lib/wine/%{winepe32dir}/ole2disp.dll16
/usr/lib/wine/%{winepe32dir}/ole2nls.dll16
/usr/lib/wine/%{winepe32dir}/ole2prox.dll16
/usr/lib/wine/%{winepe32dir}/ole2thk.dll16
/usr/lib/wine/%{winepe32dir}/olecli.dll16
/usr/lib/wine/%{winepe32dir}/olesvr.dll16
/usr/lib/wine/%{winepe32dir}/rasapi16.dll16
/usr/lib/wine/%{winepe32dir}/setupx.dll16
/usr/lib/wine/%{winepe32dir}/shell.dll16
/usr/lib/wine/%{winepe32dir}/sound.drv16
/usr/lib/wine/%{winepe32dir}/storage.dll16
/usr/lib/wine/%{winepe32dir}/stress.dll16
/usr/lib/wine/%{winepe32dir}/system.drv16
/usr/lib/wine/%{winepe32dir}/toolhelp.dll16
/usr/lib/wine/%{winepe32dir}/typelib.dll16
/usr/lib/wine/%{winepe32dir}/ver.dll16
/usr/lib/wine/%{winepe32dir}/w32sys.dll16
/usr/lib/wine/%{winepe32dir}/win32s16.dll16
/usr/lib/wine/%{winepe32dir}/win87em.dll16
/usr/lib/wine/%{winepe32dir}/winaspi.dll16
/usr/lib/wine/%{winepe32dir}/windebug.dll16
/usr/lib/wine/%{winepe32dir}/wineps16.drv16
/usr/lib/wine/%{winepe32dir}/wing.dll16
/usr/lib/wine/%{winepe32dir}/winhelp.exe16
/usr/lib/wine/%{winepe32dir}/winnls.dll16
/usr/lib/wine/%{winepe32dir}/winoldap.mod16
/usr/lib/wine/%{winepe32dir}/winsock.dll16
/usr/lib/wine/%{winepe32dir}/wintab.dll16
/usr/lib/wine/%{winepe32dir}/wow32.dll
# end 16 bit and other non 64bit stuff

/usr/lib/wine/%{winepedir}/*.a
/usr/lib/wine/%{winesodir}/*.a
/usr/lib/wine/%{winepe32dir}/*.a
/usr/lib/wine/%{wineso32dir}/*.a

%files filesystem
%doc COPYING.LIB
%dir %{_datadir}/wine
%{_datadir}/wine/wine.inf
%dir %{_datadir}/wine/fonts
%dir %{_datadir}/wine/gecko
%dir %{_datadir}/wine/mono
%{_datadir}/wine/nls/

%files common
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/regsvr32
%{_bindir}/winecfg
%{_bindir}/wineconsole
%{_bindir}/winedbg
%{_bindir}/wineboot
%{_bindir}/winefile
%{_bindir}/winemine
%{_bindir}/winemaker
%{_bindir}/winepath
%{_mandir}/man1/msiexec.1*
%{_mandir}/man1/notepad.1*
%{_mandir}/man1/regedit.1*
%{_mandir}/man1/regsvr32.1*
%{_mandir}/man1/wine.1*
%{_mandir}/man1/wineboot.1*
%{_mandir}/man1/winecfg.1*
%{_mandir}/man1/wineconsole.1*
%{_mandir}/man1/winefile.1*
%{_mandir}/man1/winemine.1*
%{_mandir}/man1/winepath.1*
%{_mandir}/man1/wineserver.1*
%lang(de) %{_mandir}/de.UTF-8/man1/wine.1*
%lang(de) %{_mandir}/de.UTF-8/man1/wineserver.1*
%lang(fr) %{_mandir}/fr.UTF-8/man1/wine.1*
%lang(fr) %{_mandir}/fr.UTF-8/man1/wineserver.1*
%lang(pl) %{_mandir}/pl.UTF-8/man1/wine.1*

%files fonts
# meta package

%if 0%{?wine_staging}
%files arial-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/arial*
%endif

%files courier-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/cou*

%files fixedsys-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/*vgafix.fon

%files system-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/cvgasys.fon
%{_datadir}/wine/fonts/hvgasys.fon
%{_datadir}/wine/fonts/jvgasys.fon
%{_datadir}/wine/fonts/svgasys.fon
%{_datadir}/wine/fonts/vgas1255.fon
%{_datadir}/wine/fonts/vgas1256.fon
%{_datadir}/wine/fonts/vgas1257.fon
%{_datadir}/wine/fonts/vgas874.fon
%{_datadir}/wine/fonts/vgasys.fon
%{_datadir}/wine/fonts/vgasyse.fon
%{_datadir}/wine/fonts/vgasysg.fon
%{_datadir}/wine/fonts/vgasysr.fon
%{_datadir}/wine/fonts/vgasyst.fon

%files small-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/jsma*
%{_datadir}/wine/fonts/sma*

%files marlett-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/marlett.ttf

%files ms-sans-serif-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/sse*
%if 0%{?wine_staging}
%{_datadir}/wine/fonts/msyh.ttf
%endif

%files tahoma-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/tahoma*ttf

%files tahoma-fonts-system
%doc README-tahoma
%{_datadir}/fonts/wine-tahoma-fonts
%{_fontconfig_confdir}/20-wine-tahoma*conf
%{_fontconfig_templatedir}/20-wine-tahoma*conf

%if 0%{?wine_staging}
%files times-new-roman-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/times.ttf

%files times-new-roman-fonts-system
%{_datadir}/fonts/wine-times-new-roman-fonts
%endif

%files symbol-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/symbol.ttf

%files webdings-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/webdings.ttf

%files wingdings-fonts
%doc COPYING.LIB
%{_datadir}/wine/fonts/wingding.ttf

%files wingdings-fonts-system
%{_datadir}/fonts/wine-wingdings-fonts

%files desktop
%{_datadir}/applications/wine.desktop
%{_datadir}/applications/wine-mime-msi.desktop
%{_datadir}/applications/wine-notepad.desktop
%{_datadir}/applications/wine-oleview.desktop
%{_datadir}/applications/wine-regedit.desktop
%{_datadir}/applications/wine-uninstaller.desktop
%{_datadir}/applications/wine-wineboot.desktop
%{_datadir}/applications/wine-winecfg.desktop
%{_datadir}/applications/wine-winefile.desktop
%{_datadir}/applications/wine-winhelp.desktop
%{_datadir}/applications/wine-winemine.desktop
%{_datadir}/applications/wine-wordpad.desktop
%{_datadir}/desktop-directories/Wine.directory
%config %{_sysconfdir}/xdg/menus/applications-merged/wine.menu
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/*svg

%files systemd
%config %{_binfmtdir}/wine.conf

# ldap subpackage
%files ldap
/usr/lib/wine/%{winepedir}/wldap32.dll
/usr/lib/wine/%{winepe32dir}/wldap32.dll

# cms subpackage
%files cms
/usr/lib/wine/%{winepedir}/mscms.dll
/usr/lib/wine/%{winepe32dir}/mscms.dll

# smartcard subpackage
%files smartcard
/usr/lib/wine/%{winepedir}/winscard.dll
/usr/lib/wine/%{winesodir}/winscard.so
/usr/lib/wine/%{winepe32dir}/winscard.dll
/usr/lib/wine/%{wineso32dir}/winscard.so

# twain subpackage
%files twain
/usr/lib/wine/%{winepedir}/sane.ds
/usr/lib/wine/%{winesodir}/sane.so
/usr/lib/wine/%{winepe32dir}/sane.ds
/usr/lib/wine/%{wineso32dir}/sane.so
/usr/lib/wine/%{winepedir}/twain_32.dll
/usr/lib/wine/%{winepe32dir}/twain_32.dll
/usr/lib/wine/%{winepe32dir}/twain.dll16

%files devel
%{_bindir}/function_grep.pl
%{_bindir}/widl
%{_bindir}/winebuild
%{_bindir}/winecpp
%{_bindir}/winedump
%{_bindir}/wineg++
%{_bindir}/winegcc
%{_bindir}/winemaker
%{_bindir}/wmc
%{_bindir}/wrc
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winecpp.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/wineg++.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%lang(de) %{_mandir}/de.UTF-8/man1/winemaker.1*
%lang(fr) %{_mandir}/fr.UTF-8/man1/winemaker.1*
%attr(0755, root, root) %dir %{_includedir}/wine
%{_includedir}/wine/*

%files pulseaudio
/usr/lib/wine/%{winepedir}/winepulse.drv
/usr/lib/wine/%{winesodir}/winepulse.so
/usr/lib/wine/%{winepe32dir}/winepulse.drv
/usr/lib/wine/%{wineso32dir}/winepulse.so

%files alsa
/usr/lib/wine/%{winepedir}/winealsa.drv
/usr/lib/wine/%{winesodir}/winealsa.so
/usr/lib/wine/%{winepe32dir}/winealsa.drv
/usr/lib/wine/%{wineso32dir}/winealsa.so

%files opencl
/usr/lib/wine/%{winepedir}/opencl.dll
/usr/lib/wine/%{winesodir}/opencl.so
/usr/lib/wine/%{winepe32dir}/opencl.dll
/usr/lib/wine/%{wineso32dir}/opencl.so

%changelog
* Sun Mar 23 2025 Patrick Laimbock <patrick@laimbock.com> - 10.4.102
- test MR7646 for segfaulting winegcc

* Sat Mar 22 2025 Patrick Laimbock <patrick@laimbock.com> - 10.4.101
- disable staging

* Sat Mar 22 2025 Patrick Laimbock <patrick@laimbock.com> - 10.4.100
- update to version 10.4

* Sun Mar 16 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3.100
- back to 10.3 due to problems with cryptbase

* Sun Mar 16 2025 Patrick Laimbock <patrick@laimbock.com> - 10.4-0.2
- fix typo in the ldconfig path

* Sun Mar 16 2025 Patrick Laimbock <patrick@laimbock.com> - 10.4-0.1
- build against git commit 245d32302712ead24a6f5852e3a5708af755ea8a

* Sun Mar 16 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3-0.7
- enable staging

* Sun Mar 16 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3-0.6
- fix build

* Sat Mar 01 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3-0.5
- add wine-32 build step

* Sat Mar 01 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3-0.4
- move the .a files to the wine-core package (like winehq does)
- update to git rev d17225a89cfb45988a89f60803756e7df4e68cc5

* Fri Feb 28 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3-0.3
- disable dxvk requirement

* Fri Feb 28 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3-0.2
- update to git rev 

* Thu Feb 27 2025 Patrick Laimbock <patrick@laimbock.com> - 10.3-0.1
- update to git rev 32a81ee2135c67e393e49cce60ef8ebfbaefb531
- add MR 7429

* Sun Feb 23 2025 Patrick Laimbock <patrick@laimbock.com> - 10.2-0.1
- PoC of integrated build

